#ifndef INCLUDED_CYFITTERKEIL_INC
#define INCLUDED_CYFITTERKEIL_INC
$INCLUDE (cydevicekeil.inc)
$INCLUDE (cydevicekeil_trm.inc)

; PWM_Transmission_Control_PWMUDB
PWM_Transmission_Control_PWMUDB_genblk1_ctrlreg__16BIT_CONTROL_AUX_CTL_REG EQU CYREG_B1_UDB05_06_ACTL
PWM_Transmission_Control_PWMUDB_genblk1_ctrlreg__16BIT_CONTROL_CONTROL_REG EQU CYREG_B1_UDB05_06_CTL
PWM_Transmission_Control_PWMUDB_genblk1_ctrlreg__16BIT_CONTROL_COUNT_REG EQU CYREG_B1_UDB05_06_CTL
PWM_Transmission_Control_PWMUDB_genblk1_ctrlreg__16BIT_COUNT_CONTROL_REG EQU CYREG_B1_UDB05_06_CTL
PWM_Transmission_Control_PWMUDB_genblk1_ctrlreg__16BIT_COUNT_COUNT_REG EQU CYREG_B1_UDB05_06_CTL
PWM_Transmission_Control_PWMUDB_genblk1_ctrlreg__16BIT_MASK_MASK_REG EQU CYREG_B1_UDB05_06_MSK
PWM_Transmission_Control_PWMUDB_genblk1_ctrlreg__16BIT_MASK_PERIOD_REG EQU CYREG_B1_UDB05_06_MSK
PWM_Transmission_Control_PWMUDB_genblk1_ctrlreg__16BIT_PERIOD_MASK_REG EQU CYREG_B1_UDB05_06_MSK
PWM_Transmission_Control_PWMUDB_genblk1_ctrlreg__16BIT_PERIOD_PERIOD_REG EQU CYREG_B1_UDB05_06_MSK
PWM_Transmission_Control_PWMUDB_genblk1_ctrlreg__7__MASK EQU 0x80
PWM_Transmission_Control_PWMUDB_genblk1_ctrlreg__7__POS EQU 7
PWM_Transmission_Control_PWMUDB_genblk1_ctrlreg__CONTROL_AUX_CTL_REG EQU CYREG_B1_UDB05_ACTL
PWM_Transmission_Control_PWMUDB_genblk1_ctrlreg__CONTROL_REG EQU CYREG_B1_UDB05_CTL
PWM_Transmission_Control_PWMUDB_genblk1_ctrlreg__CONTROL_ST_REG EQU CYREG_B1_UDB05_ST_CTL
PWM_Transmission_Control_PWMUDB_genblk1_ctrlreg__COUNT_REG EQU CYREG_B1_UDB05_CTL
PWM_Transmission_Control_PWMUDB_genblk1_ctrlreg__COUNT_ST_REG EQU CYREG_B1_UDB05_ST_CTL
PWM_Transmission_Control_PWMUDB_genblk1_ctrlreg__MASK EQU 0x80
PWM_Transmission_Control_PWMUDB_genblk1_ctrlreg__MASK_CTL_AUX_CTL_REG EQU CYREG_B1_UDB05_MSK_ACTL
PWM_Transmission_Control_PWMUDB_genblk1_ctrlreg__PERIOD_REG EQU CYREG_B1_UDB05_MSK
PWM_Transmission_Control_PWMUDB_genblk1_ctrlreg__PER_CTL_AUX_CTL_REG EQU CYREG_B1_UDB05_MSK_ACTL
PWM_Transmission_Control_PWMUDB_genblk8_stsreg__0__MASK EQU 0x01
PWM_Transmission_Control_PWMUDB_genblk8_stsreg__0__POS EQU 0
PWM_Transmission_Control_PWMUDB_genblk8_stsreg__16BIT_STATUS_AUX_CTL_REG EQU CYREG_B1_UDB05_06_ACTL
PWM_Transmission_Control_PWMUDB_genblk8_stsreg__16BIT_STATUS_REG EQU CYREG_B1_UDB05_06_ST
PWM_Transmission_Control_PWMUDB_genblk8_stsreg__2__MASK EQU 0x04
PWM_Transmission_Control_PWMUDB_genblk8_stsreg__2__POS EQU 2
PWM_Transmission_Control_PWMUDB_genblk8_stsreg__3__MASK EQU 0x08
PWM_Transmission_Control_PWMUDB_genblk8_stsreg__3__POS EQU 3
PWM_Transmission_Control_PWMUDB_genblk8_stsreg__5__MASK EQU 0x20
PWM_Transmission_Control_PWMUDB_genblk8_stsreg__5__POS EQU 5
PWM_Transmission_Control_PWMUDB_genblk8_stsreg__MASK EQU 0x2D
PWM_Transmission_Control_PWMUDB_genblk8_stsreg__MASK_REG EQU CYREG_B1_UDB05_MSK
PWM_Transmission_Control_PWMUDB_genblk8_stsreg__MASK_ST_AUX_CTL_REG EQU CYREG_B1_UDB05_MSK_ACTL
PWM_Transmission_Control_PWMUDB_genblk8_stsreg__PER_ST_AUX_CTL_REG EQU CYREG_B1_UDB05_MSK_ACTL
PWM_Transmission_Control_PWMUDB_genblk8_stsreg__STATUS_AUX_CTL_REG EQU CYREG_B1_UDB05_ACTL
PWM_Transmission_Control_PWMUDB_genblk8_stsreg__STATUS_CNT_REG EQU CYREG_B1_UDB05_ST_CTL
PWM_Transmission_Control_PWMUDB_genblk8_stsreg__STATUS_CONTROL_REG EQU CYREG_B1_UDB05_ST_CTL
PWM_Transmission_Control_PWMUDB_genblk8_stsreg__STATUS_REG EQU CYREG_B1_UDB05_ST
PWM_Transmission_Control_PWMUDB_sP16_pwmdp_u0__16BIT_A0_REG EQU CYREG_B1_UDB04_05_A0
PWM_Transmission_Control_PWMUDB_sP16_pwmdp_u0__16BIT_A1_REG EQU CYREG_B1_UDB04_05_A1
PWM_Transmission_Control_PWMUDB_sP16_pwmdp_u0__16BIT_D0_REG EQU CYREG_B1_UDB04_05_D0
PWM_Transmission_Control_PWMUDB_sP16_pwmdp_u0__16BIT_D1_REG EQU CYREG_B1_UDB04_05_D1
PWM_Transmission_Control_PWMUDB_sP16_pwmdp_u0__16BIT_DP_AUX_CTL_REG EQU CYREG_B1_UDB04_05_ACTL
PWM_Transmission_Control_PWMUDB_sP16_pwmdp_u0__16BIT_F0_REG EQU CYREG_B1_UDB04_05_F0
PWM_Transmission_Control_PWMUDB_sP16_pwmdp_u0__16BIT_F1_REG EQU CYREG_B1_UDB04_05_F1
PWM_Transmission_Control_PWMUDB_sP16_pwmdp_u0__A0_A1_REG EQU CYREG_B1_UDB04_A0_A1
PWM_Transmission_Control_PWMUDB_sP16_pwmdp_u0__A0_REG EQU CYREG_B1_UDB04_A0
PWM_Transmission_Control_PWMUDB_sP16_pwmdp_u0__A1_REG EQU CYREG_B1_UDB04_A1
PWM_Transmission_Control_PWMUDB_sP16_pwmdp_u0__D0_D1_REG EQU CYREG_B1_UDB04_D0_D1
PWM_Transmission_Control_PWMUDB_sP16_pwmdp_u0__D0_REG EQU CYREG_B1_UDB04_D0
PWM_Transmission_Control_PWMUDB_sP16_pwmdp_u0__D1_REG EQU CYREG_B1_UDB04_D1
PWM_Transmission_Control_PWMUDB_sP16_pwmdp_u0__DP_AUX_CTL_REG EQU CYREG_B1_UDB04_ACTL
PWM_Transmission_Control_PWMUDB_sP16_pwmdp_u0__F0_F1_REG EQU CYREG_B1_UDB04_F0_F1
PWM_Transmission_Control_PWMUDB_sP16_pwmdp_u0__F0_REG EQU CYREG_B1_UDB04_F0
PWM_Transmission_Control_PWMUDB_sP16_pwmdp_u0__F1_REG EQU CYREG_B1_UDB04_F1
PWM_Transmission_Control_PWMUDB_sP16_pwmdp_u0__MSK_DP_AUX_CTL_REG EQU CYREG_B1_UDB04_MSK_ACTL
PWM_Transmission_Control_PWMUDB_sP16_pwmdp_u0__PER_DP_AUX_CTL_REG EQU CYREG_B1_UDB04_MSK_ACTL
PWM_Transmission_Control_PWMUDB_sP16_pwmdp_u1__16BIT_A0_REG EQU CYREG_B1_UDB05_06_A0
PWM_Transmission_Control_PWMUDB_sP16_pwmdp_u1__16BIT_A1_REG EQU CYREG_B1_UDB05_06_A1
PWM_Transmission_Control_PWMUDB_sP16_pwmdp_u1__16BIT_D0_REG EQU CYREG_B1_UDB05_06_D0
PWM_Transmission_Control_PWMUDB_sP16_pwmdp_u1__16BIT_D1_REG EQU CYREG_B1_UDB05_06_D1
PWM_Transmission_Control_PWMUDB_sP16_pwmdp_u1__16BIT_DP_AUX_CTL_REG EQU CYREG_B1_UDB05_06_ACTL
PWM_Transmission_Control_PWMUDB_sP16_pwmdp_u1__16BIT_F0_REG EQU CYREG_B1_UDB05_06_F0
PWM_Transmission_Control_PWMUDB_sP16_pwmdp_u1__16BIT_F1_REG EQU CYREG_B1_UDB05_06_F1
PWM_Transmission_Control_PWMUDB_sP16_pwmdp_u1__A0_A1_REG EQU CYREG_B1_UDB05_A0_A1
PWM_Transmission_Control_PWMUDB_sP16_pwmdp_u1__A0_REG EQU CYREG_B1_UDB05_A0
PWM_Transmission_Control_PWMUDB_sP16_pwmdp_u1__A1_REG EQU CYREG_B1_UDB05_A1
PWM_Transmission_Control_PWMUDB_sP16_pwmdp_u1__D0_D1_REG EQU CYREG_B1_UDB05_D0_D1
PWM_Transmission_Control_PWMUDB_sP16_pwmdp_u1__D0_REG EQU CYREG_B1_UDB05_D0
PWM_Transmission_Control_PWMUDB_sP16_pwmdp_u1__D1_REG EQU CYREG_B1_UDB05_D1
PWM_Transmission_Control_PWMUDB_sP16_pwmdp_u1__DP_AUX_CTL_REG EQU CYREG_B1_UDB05_ACTL
PWM_Transmission_Control_PWMUDB_sP16_pwmdp_u1__F0_F1_REG EQU CYREG_B1_UDB05_F0_F1
PWM_Transmission_Control_PWMUDB_sP16_pwmdp_u1__F0_REG EQU CYREG_B1_UDB05_F0
PWM_Transmission_Control_PWMUDB_sP16_pwmdp_u1__F1_REG EQU CYREG_B1_UDB05_F1
PWM_Transmission_Control_PWMUDB_sP16_pwmdp_u1__MSK_DP_AUX_CTL_REG EQU CYREG_B1_UDB05_MSK_ACTL
PWM_Transmission_Control_PWMUDB_sP16_pwmdp_u1__PER_DP_AUX_CTL_REG EQU CYREG_B1_UDB05_MSK_ACTL

; Control_Reg_Start_Transmission
Control_Reg_Start_Transmission_Sync_ctrl_reg__0__MASK EQU 0x01
Control_Reg_Start_Transmission_Sync_ctrl_reg__0__POS EQU 0
Control_Reg_Start_Transmission_Sync_ctrl_reg__16BIT_CONTROL_AUX_CTL_REG EQU CYREG_B1_UDB04_05_ACTL
Control_Reg_Start_Transmission_Sync_ctrl_reg__16BIT_CONTROL_CONTROL_REG EQU CYREG_B1_UDB04_05_CTL
Control_Reg_Start_Transmission_Sync_ctrl_reg__16BIT_CONTROL_COUNT_REG EQU CYREG_B1_UDB04_05_CTL
Control_Reg_Start_Transmission_Sync_ctrl_reg__16BIT_COUNT_CONTROL_REG EQU CYREG_B1_UDB04_05_CTL
Control_Reg_Start_Transmission_Sync_ctrl_reg__16BIT_COUNT_COUNT_REG EQU CYREG_B1_UDB04_05_CTL
Control_Reg_Start_Transmission_Sync_ctrl_reg__16BIT_MASK_MASK_REG EQU CYREG_B1_UDB04_05_MSK
Control_Reg_Start_Transmission_Sync_ctrl_reg__16BIT_MASK_PERIOD_REG EQU CYREG_B1_UDB04_05_MSK
Control_Reg_Start_Transmission_Sync_ctrl_reg__16BIT_PERIOD_MASK_REG EQU CYREG_B1_UDB04_05_MSK
Control_Reg_Start_Transmission_Sync_ctrl_reg__16BIT_PERIOD_PERIOD_REG EQU CYREG_B1_UDB04_05_MSK
Control_Reg_Start_Transmission_Sync_ctrl_reg__CONTROL_AUX_CTL_REG EQU CYREG_B1_UDB04_ACTL
Control_Reg_Start_Transmission_Sync_ctrl_reg__CONTROL_REG EQU CYREG_B1_UDB04_CTL
Control_Reg_Start_Transmission_Sync_ctrl_reg__CONTROL_ST_REG EQU CYREG_B1_UDB04_ST_CTL
Control_Reg_Start_Transmission_Sync_ctrl_reg__COUNT_REG EQU CYREG_B1_UDB04_CTL
Control_Reg_Start_Transmission_Sync_ctrl_reg__COUNT_ST_REG EQU CYREG_B1_UDB04_ST_CTL
Control_Reg_Start_Transmission_Sync_ctrl_reg__MASK EQU 0x01
Control_Reg_Start_Transmission_Sync_ctrl_reg__MASK_CTL_AUX_CTL_REG EQU CYREG_B1_UDB04_MSK_ACTL
Control_Reg_Start_Transmission_Sync_ctrl_reg__PERIOD_REG EQU CYREG_B1_UDB04_MSK
Control_Reg_Start_Transmission_Sync_ctrl_reg__PER_CTL_AUX_CTL_REG EQU CYREG_B1_UDB04_MSK_ACTL

; SPIM_opticalDriver_2_IntClock
SPIM_opticalDriver_2_IntClock__CFG0 EQU CYREG_CLKDIST_DCFG2_CFG0
SPIM_opticalDriver_2_IntClock__CFG1 EQU CYREG_CLKDIST_DCFG2_CFG1
SPIM_opticalDriver_2_IntClock__CFG2 EQU CYREG_CLKDIST_DCFG2_CFG2
SPIM_opticalDriver_2_IntClock__CFG2_SRC_SEL_MASK EQU 0x07
SPIM_opticalDriver_2_IntClock__INDEX EQU 0x02
SPIM_opticalDriver_2_IntClock__PM_ACT_CFG EQU CYREG_PM_ACT_CFG2
SPIM_opticalDriver_2_IntClock__PM_ACT_MSK EQU 0x04
SPIM_opticalDriver_2_IntClock__PM_STBY_CFG EQU CYREG_PM_STBY_CFG2
SPIM_opticalDriver_2_IntClock__PM_STBY_MSK EQU 0x04

; SPIM_NRF_Controller_IntClock
SPIM_NRF_Controller_IntClock__CFG0 EQU CYREG_CLKDIST_DCFG0_CFG0
SPIM_NRF_Controller_IntClock__CFG1 EQU CYREG_CLKDIST_DCFG0_CFG1
SPIM_NRF_Controller_IntClock__CFG2 EQU CYREG_CLKDIST_DCFG0_CFG2
SPIM_NRF_Controller_IntClock__CFG2_SRC_SEL_MASK EQU 0x07
SPIM_NRF_Controller_IntClock__INDEX EQU 0x00
SPIM_NRF_Controller_IntClock__PM_ACT_CFG EQU CYREG_PM_ACT_CFG2
SPIM_NRF_Controller_IntClock__PM_ACT_MSK EQU 0x01
SPIM_NRF_Controller_IntClock__PM_STBY_CFG EQU CYREG_PM_STBY_CFG2
SPIM_NRF_Controller_IntClock__PM_STBY_MSK EQU 0x01

; SPIM_opticalDriver_IntClock
SPIM_opticalDriver_IntClock__CFG0 EQU CYREG_CLKDIST_DCFG1_CFG0
SPIM_opticalDriver_IntClock__CFG1 EQU CYREG_CLKDIST_DCFG1_CFG1
SPIM_opticalDriver_IntClock__CFG2 EQU CYREG_CLKDIST_DCFG1_CFG2
SPIM_opticalDriver_IntClock__CFG2_SRC_SEL_MASK EQU 0x07
SPIM_opticalDriver_IntClock__INDEX EQU 0x01
SPIM_opticalDriver_IntClock__PM_ACT_CFG EQU CYREG_PM_ACT_CFG2
SPIM_opticalDriver_IntClock__PM_ACT_MSK EQU 0x02
SPIM_opticalDriver_IntClock__PM_STBY_CFG EQU CYREG_PM_STBY_CFG2
SPIM_opticalDriver_IntClock__PM_STBY_MSK EQU 0x02

; SPIM_opticalDriver_2_BSPIM
SPIM_opticalDriver_2_BSPIM_BitCounter_ST__16BIT_STATUS_AUX_CTL_REG EQU CYREG_B1_UDB09_10_ACTL
SPIM_opticalDriver_2_BSPIM_BitCounter_ST__16BIT_STATUS_REG EQU CYREG_B1_UDB09_10_ST
SPIM_opticalDriver_2_BSPIM_BitCounter_ST__MASK_REG EQU CYREG_B1_UDB09_MSK
SPIM_opticalDriver_2_BSPIM_BitCounter_ST__MASK_ST_AUX_CTL_REG EQU CYREG_B1_UDB09_MSK_ACTL
SPIM_opticalDriver_2_BSPIM_BitCounter_ST__PER_ST_AUX_CTL_REG EQU CYREG_B1_UDB09_MSK_ACTL
SPIM_opticalDriver_2_BSPIM_BitCounter_ST__STATUS_AUX_CTL_REG EQU CYREG_B1_UDB09_ACTL
SPIM_opticalDriver_2_BSPIM_BitCounter_ST__STATUS_CNT_REG EQU CYREG_B1_UDB09_ST_CTL
SPIM_opticalDriver_2_BSPIM_BitCounter_ST__STATUS_CONTROL_REG EQU CYREG_B1_UDB09_ST_CTL
SPIM_opticalDriver_2_BSPIM_BitCounter_ST__STATUS_REG EQU CYREG_B1_UDB09_ST
SPIM_opticalDriver_2_BSPIM_BitCounter__16BIT_CONTROL_AUX_CTL_REG EQU CYREG_B1_UDB09_10_ACTL
SPIM_opticalDriver_2_BSPIM_BitCounter__16BIT_CONTROL_CONTROL_REG EQU CYREG_B1_UDB09_10_CTL
SPIM_opticalDriver_2_BSPIM_BitCounter__16BIT_CONTROL_COUNT_REG EQU CYREG_B1_UDB09_10_CTL
SPIM_opticalDriver_2_BSPIM_BitCounter__16BIT_COUNT_CONTROL_REG EQU CYREG_B1_UDB09_10_CTL
SPIM_opticalDriver_2_BSPIM_BitCounter__16BIT_COUNT_COUNT_REG EQU CYREG_B1_UDB09_10_CTL
SPIM_opticalDriver_2_BSPIM_BitCounter__16BIT_MASK_MASK_REG EQU CYREG_B1_UDB09_10_MSK
SPIM_opticalDriver_2_BSPIM_BitCounter__16BIT_MASK_PERIOD_REG EQU CYREG_B1_UDB09_10_MSK
SPIM_opticalDriver_2_BSPIM_BitCounter__16BIT_PERIOD_MASK_REG EQU CYREG_B1_UDB09_10_MSK
SPIM_opticalDriver_2_BSPIM_BitCounter__16BIT_PERIOD_PERIOD_REG EQU CYREG_B1_UDB09_10_MSK
SPIM_opticalDriver_2_BSPIM_BitCounter__CONTROL_AUX_CTL_REG EQU CYREG_B1_UDB09_ACTL
SPIM_opticalDriver_2_BSPIM_BitCounter__CONTROL_REG EQU CYREG_B1_UDB09_CTL
SPIM_opticalDriver_2_BSPIM_BitCounter__CONTROL_ST_REG EQU CYREG_B1_UDB09_ST_CTL
SPIM_opticalDriver_2_BSPIM_BitCounter__COUNT_REG EQU CYREG_B1_UDB09_CTL
SPIM_opticalDriver_2_BSPIM_BitCounter__COUNT_ST_REG EQU CYREG_B1_UDB09_ST_CTL
SPIM_opticalDriver_2_BSPIM_BitCounter__MASK_CTL_AUX_CTL_REG EQU CYREG_B1_UDB09_MSK_ACTL
SPIM_opticalDriver_2_BSPIM_BitCounter__PERIOD_REG EQU CYREG_B1_UDB09_MSK
SPIM_opticalDriver_2_BSPIM_BitCounter__PER_CTL_AUX_CTL_REG EQU CYREG_B1_UDB09_MSK_ACTL
SPIM_opticalDriver_2_BSPIM_RxStsReg__16BIT_STATUS_AUX_CTL_REG EQU CYREG_B0_UDB09_10_ACTL
SPIM_opticalDriver_2_BSPIM_RxStsReg__16BIT_STATUS_REG EQU CYREG_B0_UDB09_10_ST
SPIM_opticalDriver_2_BSPIM_RxStsReg__4__MASK EQU 0x10
SPIM_opticalDriver_2_BSPIM_RxStsReg__4__POS EQU 4
SPIM_opticalDriver_2_BSPIM_RxStsReg__5__MASK EQU 0x20
SPIM_opticalDriver_2_BSPIM_RxStsReg__5__POS EQU 5
SPIM_opticalDriver_2_BSPIM_RxStsReg__6__MASK EQU 0x40
SPIM_opticalDriver_2_BSPIM_RxStsReg__6__POS EQU 6
SPIM_opticalDriver_2_BSPIM_RxStsReg__MASK EQU 0x70
SPIM_opticalDriver_2_BSPIM_RxStsReg__MASK_REG EQU CYREG_B0_UDB09_MSK
SPIM_opticalDriver_2_BSPIM_RxStsReg__STATUS_AUX_CTL_REG EQU CYREG_B0_UDB09_ACTL
SPIM_opticalDriver_2_BSPIM_RxStsReg__STATUS_REG EQU CYREG_B0_UDB09_ST
SPIM_opticalDriver_2_BSPIM_TxStsReg__0__MASK EQU 0x01
SPIM_opticalDriver_2_BSPIM_TxStsReg__0__POS EQU 0
SPIM_opticalDriver_2_BSPIM_TxStsReg__16BIT_STATUS_AUX_CTL_REG EQU CYREG_B1_UDB10_11_ACTL
SPIM_opticalDriver_2_BSPIM_TxStsReg__16BIT_STATUS_REG EQU CYREG_B1_UDB10_11_ST
SPIM_opticalDriver_2_BSPIM_TxStsReg__1__MASK EQU 0x02
SPIM_opticalDriver_2_BSPIM_TxStsReg__1__POS EQU 1
SPIM_opticalDriver_2_BSPIM_TxStsReg__2__MASK EQU 0x04
SPIM_opticalDriver_2_BSPIM_TxStsReg__2__POS EQU 2
SPIM_opticalDriver_2_BSPIM_TxStsReg__3__MASK EQU 0x08
SPIM_opticalDriver_2_BSPIM_TxStsReg__3__POS EQU 3
SPIM_opticalDriver_2_BSPIM_TxStsReg__4__MASK EQU 0x10
SPIM_opticalDriver_2_BSPIM_TxStsReg__4__POS EQU 4
SPIM_opticalDriver_2_BSPIM_TxStsReg__MASK EQU 0x1F
SPIM_opticalDriver_2_BSPIM_TxStsReg__MASK_REG EQU CYREG_B1_UDB10_MSK
SPIM_opticalDriver_2_BSPIM_TxStsReg__STATUS_AUX_CTL_REG EQU CYREG_B1_UDB10_ACTL
SPIM_opticalDriver_2_BSPIM_TxStsReg__STATUS_REG EQU CYREG_B1_UDB10_ST
SPIM_opticalDriver_2_BSPIM_sR8_Dp_u0__16BIT_A0_REG EQU CYREG_B1_UDB09_10_A0
SPIM_opticalDriver_2_BSPIM_sR8_Dp_u0__16BIT_A1_REG EQU CYREG_B1_UDB09_10_A1
SPIM_opticalDriver_2_BSPIM_sR8_Dp_u0__16BIT_D0_REG EQU CYREG_B1_UDB09_10_D0
SPIM_opticalDriver_2_BSPIM_sR8_Dp_u0__16BIT_D1_REG EQU CYREG_B1_UDB09_10_D1
SPIM_opticalDriver_2_BSPIM_sR8_Dp_u0__16BIT_DP_AUX_CTL_REG EQU CYREG_B1_UDB09_10_ACTL
SPIM_opticalDriver_2_BSPIM_sR8_Dp_u0__16BIT_F0_REG EQU CYREG_B1_UDB09_10_F0
SPIM_opticalDriver_2_BSPIM_sR8_Dp_u0__16BIT_F1_REG EQU CYREG_B1_UDB09_10_F1
SPIM_opticalDriver_2_BSPIM_sR8_Dp_u0__A0_A1_REG EQU CYREG_B1_UDB09_A0_A1
SPIM_opticalDriver_2_BSPIM_sR8_Dp_u0__A0_REG EQU CYREG_B1_UDB09_A0
SPIM_opticalDriver_2_BSPIM_sR8_Dp_u0__A1_REG EQU CYREG_B1_UDB09_A1
SPIM_opticalDriver_2_BSPIM_sR8_Dp_u0__D0_D1_REG EQU CYREG_B1_UDB09_D0_D1
SPIM_opticalDriver_2_BSPIM_sR8_Dp_u0__D0_REG EQU CYREG_B1_UDB09_D0
SPIM_opticalDriver_2_BSPIM_sR8_Dp_u0__D1_REG EQU CYREG_B1_UDB09_D1
SPIM_opticalDriver_2_BSPIM_sR8_Dp_u0__DP_AUX_CTL_REG EQU CYREG_B1_UDB09_ACTL
SPIM_opticalDriver_2_BSPIM_sR8_Dp_u0__F0_F1_REG EQU CYREG_B1_UDB09_F0_F1
SPIM_opticalDriver_2_BSPIM_sR8_Dp_u0__F0_REG EQU CYREG_B1_UDB09_F0
SPIM_opticalDriver_2_BSPIM_sR8_Dp_u0__F1_REG EQU CYREG_B1_UDB09_F1
SPIM_opticalDriver_2_BSPIM_sR8_Dp_u0__MSK_DP_AUX_CTL_REG EQU CYREG_B1_UDB09_MSK_ACTL
SPIM_opticalDriver_2_BSPIM_sR8_Dp_u0__PER_DP_AUX_CTL_REG EQU CYREG_B1_UDB09_MSK_ACTL

; SPIM_NRF_Controller_BSPIM
SPIM_NRF_Controller_BSPIM_BitCounter_ST__16BIT_STATUS_AUX_CTL_REG EQU CYREG_B0_UDB08_09_ACTL
SPIM_NRF_Controller_BSPIM_BitCounter_ST__16BIT_STATUS_REG EQU CYREG_B0_UDB08_09_ST
SPIM_NRF_Controller_BSPIM_BitCounter_ST__MASK_REG EQU CYREG_B0_UDB08_MSK
SPIM_NRF_Controller_BSPIM_BitCounter_ST__MASK_ST_AUX_CTL_REG EQU CYREG_B0_UDB08_MSK_ACTL
SPIM_NRF_Controller_BSPIM_BitCounter_ST__PER_ST_AUX_CTL_REG EQU CYREG_B0_UDB08_MSK_ACTL
SPIM_NRF_Controller_BSPIM_BitCounter_ST__STATUS_AUX_CTL_REG EQU CYREG_B0_UDB08_ACTL
SPIM_NRF_Controller_BSPIM_BitCounter_ST__STATUS_CNT_REG EQU CYREG_B0_UDB08_ST_CTL
SPIM_NRF_Controller_BSPIM_BitCounter_ST__STATUS_CONTROL_REG EQU CYREG_B0_UDB08_ST_CTL
SPIM_NRF_Controller_BSPIM_BitCounter_ST__STATUS_REG EQU CYREG_B0_UDB08_ST
SPIM_NRF_Controller_BSPIM_BitCounter__16BIT_CONTROL_AUX_CTL_REG EQU CYREG_B0_UDB08_09_ACTL
SPIM_NRF_Controller_BSPIM_BitCounter__16BIT_CONTROL_CONTROL_REG EQU CYREG_B0_UDB08_09_CTL
SPIM_NRF_Controller_BSPIM_BitCounter__16BIT_CONTROL_COUNT_REG EQU CYREG_B0_UDB08_09_CTL
SPIM_NRF_Controller_BSPIM_BitCounter__16BIT_COUNT_CONTROL_REG EQU CYREG_B0_UDB08_09_CTL
SPIM_NRF_Controller_BSPIM_BitCounter__16BIT_COUNT_COUNT_REG EQU CYREG_B0_UDB08_09_CTL
SPIM_NRF_Controller_BSPIM_BitCounter__16BIT_MASK_MASK_REG EQU CYREG_B0_UDB08_09_MSK
SPIM_NRF_Controller_BSPIM_BitCounter__16BIT_MASK_PERIOD_REG EQU CYREG_B0_UDB08_09_MSK
SPIM_NRF_Controller_BSPIM_BitCounter__16BIT_PERIOD_MASK_REG EQU CYREG_B0_UDB08_09_MSK
SPIM_NRF_Controller_BSPIM_BitCounter__16BIT_PERIOD_PERIOD_REG EQU CYREG_B0_UDB08_09_MSK
SPIM_NRF_Controller_BSPIM_BitCounter__CONTROL_AUX_CTL_REG EQU CYREG_B0_UDB08_ACTL
SPIM_NRF_Controller_BSPIM_BitCounter__CONTROL_REG EQU CYREG_B0_UDB08_CTL
SPIM_NRF_Controller_BSPIM_BitCounter__CONTROL_ST_REG EQU CYREG_B0_UDB08_ST_CTL
SPIM_NRF_Controller_BSPIM_BitCounter__COUNT_REG EQU CYREG_B0_UDB08_CTL
SPIM_NRF_Controller_BSPIM_BitCounter__COUNT_ST_REG EQU CYREG_B0_UDB08_ST_CTL
SPIM_NRF_Controller_BSPIM_BitCounter__MASK_CTL_AUX_CTL_REG EQU CYREG_B0_UDB08_MSK_ACTL
SPIM_NRF_Controller_BSPIM_BitCounter__PERIOD_REG EQU CYREG_B0_UDB08_MSK
SPIM_NRF_Controller_BSPIM_BitCounter__PER_CTL_AUX_CTL_REG EQU CYREG_B0_UDB08_MSK_ACTL
SPIM_NRF_Controller_BSPIM_RxStsReg__16BIT_STATUS_AUX_CTL_REG EQU CYREG_B1_UDB04_05_ACTL
SPIM_NRF_Controller_BSPIM_RxStsReg__16BIT_STATUS_REG EQU CYREG_B1_UDB04_05_ST
SPIM_NRF_Controller_BSPIM_RxStsReg__4__MASK EQU 0x10
SPIM_NRF_Controller_BSPIM_RxStsReg__4__POS EQU 4
SPIM_NRF_Controller_BSPIM_RxStsReg__5__MASK EQU 0x20
SPIM_NRF_Controller_BSPIM_RxStsReg__5__POS EQU 5
SPIM_NRF_Controller_BSPIM_RxStsReg__6__MASK EQU 0x40
SPIM_NRF_Controller_BSPIM_RxStsReg__6__POS EQU 6
SPIM_NRF_Controller_BSPIM_RxStsReg__MASK EQU 0x70
SPIM_NRF_Controller_BSPIM_RxStsReg__MASK_REG EQU CYREG_B1_UDB04_MSK
SPIM_NRF_Controller_BSPIM_RxStsReg__MASK_ST_AUX_CTL_REG EQU CYREG_B1_UDB04_MSK_ACTL
SPIM_NRF_Controller_BSPIM_RxStsReg__PER_ST_AUX_CTL_REG EQU CYREG_B1_UDB04_MSK_ACTL
SPIM_NRF_Controller_BSPIM_RxStsReg__STATUS_AUX_CTL_REG EQU CYREG_B1_UDB04_ACTL
SPIM_NRF_Controller_BSPIM_RxStsReg__STATUS_CNT_REG EQU CYREG_B1_UDB04_ST_CTL
SPIM_NRF_Controller_BSPIM_RxStsReg__STATUS_CONTROL_REG EQU CYREG_B1_UDB04_ST_CTL
SPIM_NRF_Controller_BSPIM_RxStsReg__STATUS_REG EQU CYREG_B1_UDB04_ST
SPIM_NRF_Controller_BSPIM_TxStsReg__0__MASK EQU 0x01
SPIM_NRF_Controller_BSPIM_TxStsReg__0__POS EQU 0
SPIM_NRF_Controller_BSPIM_TxStsReg__1__MASK EQU 0x02
SPIM_NRF_Controller_BSPIM_TxStsReg__1__POS EQU 1
SPIM_NRF_Controller_BSPIM_TxStsReg__2__MASK EQU 0x04
SPIM_NRF_Controller_BSPIM_TxStsReg__2__POS EQU 2
SPIM_NRF_Controller_BSPIM_TxStsReg__3__MASK EQU 0x08
SPIM_NRF_Controller_BSPIM_TxStsReg__3__POS EQU 3
SPIM_NRF_Controller_BSPIM_TxStsReg__4__MASK EQU 0x10
SPIM_NRF_Controller_BSPIM_TxStsReg__4__POS EQU 4
SPIM_NRF_Controller_BSPIM_TxStsReg__MASK EQU 0x1F
SPIM_NRF_Controller_BSPIM_TxStsReg__MASK_REG EQU CYREG_B1_UDB11_MSK
SPIM_NRF_Controller_BSPIM_TxStsReg__STATUS_AUX_CTL_REG EQU CYREG_B1_UDB11_ACTL
SPIM_NRF_Controller_BSPIM_TxStsReg__STATUS_REG EQU CYREG_B1_UDB11_ST
SPIM_NRF_Controller_BSPIM_sR8_Dp_u0__16BIT_A0_REG EQU CYREG_B0_UDB07_08_A0
SPIM_NRF_Controller_BSPIM_sR8_Dp_u0__16BIT_A1_REG EQU CYREG_B0_UDB07_08_A1
SPIM_NRF_Controller_BSPIM_sR8_Dp_u0__16BIT_D0_REG EQU CYREG_B0_UDB07_08_D0
SPIM_NRF_Controller_BSPIM_sR8_Dp_u0__16BIT_D1_REG EQU CYREG_B0_UDB07_08_D1
SPIM_NRF_Controller_BSPIM_sR8_Dp_u0__16BIT_DP_AUX_CTL_REG EQU CYREG_B0_UDB07_08_ACTL
SPIM_NRF_Controller_BSPIM_sR8_Dp_u0__16BIT_F0_REG EQU CYREG_B0_UDB07_08_F0
SPIM_NRF_Controller_BSPIM_sR8_Dp_u0__16BIT_F1_REG EQU CYREG_B0_UDB07_08_F1
SPIM_NRF_Controller_BSPIM_sR8_Dp_u0__A0_A1_REG EQU CYREG_B0_UDB07_A0_A1
SPIM_NRF_Controller_BSPIM_sR8_Dp_u0__A0_REG EQU CYREG_B0_UDB07_A0
SPIM_NRF_Controller_BSPIM_sR8_Dp_u0__A1_REG EQU CYREG_B0_UDB07_A1
SPIM_NRF_Controller_BSPIM_sR8_Dp_u0__D0_D1_REG EQU CYREG_B0_UDB07_D0_D1
SPIM_NRF_Controller_BSPIM_sR8_Dp_u0__D0_REG EQU CYREG_B0_UDB07_D0
SPIM_NRF_Controller_BSPIM_sR8_Dp_u0__D1_REG EQU CYREG_B0_UDB07_D1
SPIM_NRF_Controller_BSPIM_sR8_Dp_u0__DP_AUX_CTL_REG EQU CYREG_B0_UDB07_ACTL
SPIM_NRF_Controller_BSPIM_sR8_Dp_u0__F0_F1_REG EQU CYREG_B0_UDB07_F0_F1
SPIM_NRF_Controller_BSPIM_sR8_Dp_u0__F0_REG EQU CYREG_B0_UDB07_F0
SPIM_NRF_Controller_BSPIM_sR8_Dp_u0__F1_REG EQU CYREG_B0_UDB07_F1

; isr_transmission_control
isr_transmission_control__ES2_PATCH EQU 0
isr_transmission_control__INTC_CLR_EN_REG EQU CYREG_INTC_CLR_EN0
isr_transmission_control__INTC_CLR_PD_REG EQU CYREG_INTC_CLR_PD0
isr_transmission_control__INTC_MASK EQU 0x01
isr_transmission_control__INTC_NUMBER EQU 0
isr_transmission_control__INTC_PRIOR_NUM EQU 7
isr_transmission_control__INTC_PRIOR_REG EQU CYREG_INTC_PRIOR0
isr_transmission_control__INTC_SET_EN_REG EQU CYREG_INTC_SET_EN0
isr_transmission_control__INTC_SET_PD_REG EQU CYREG_INTC_SET_PD0
isr_transmission_control__INTC_VECT EQU (CYREG_INTC_VECT_MBASE+0x00)

; SPIM_opticalDriver_BSPIM
SPIM_opticalDriver_BSPIM_BitCounter_ST__16BIT_STATUS_AUX_CTL_REG EQU CYREG_B0_UDB02_03_ACTL
SPIM_opticalDriver_BSPIM_BitCounter_ST__16BIT_STATUS_REG EQU CYREG_B0_UDB02_03_ST
SPIM_opticalDriver_BSPIM_BitCounter_ST__MASK_REG EQU CYREG_B0_UDB02_MSK
SPIM_opticalDriver_BSPIM_BitCounter_ST__MASK_ST_AUX_CTL_REG EQU CYREG_B0_UDB02_MSK_ACTL
SPIM_opticalDriver_BSPIM_BitCounter_ST__PER_ST_AUX_CTL_REG EQU CYREG_B0_UDB02_MSK_ACTL
SPIM_opticalDriver_BSPIM_BitCounter_ST__STATUS_AUX_CTL_REG EQU CYREG_B0_UDB02_ACTL
SPIM_opticalDriver_BSPIM_BitCounter_ST__STATUS_CNT_REG EQU CYREG_B0_UDB02_ST_CTL
SPIM_opticalDriver_BSPIM_BitCounter_ST__STATUS_CONTROL_REG EQU CYREG_B0_UDB02_ST_CTL
SPIM_opticalDriver_BSPIM_BitCounter_ST__STATUS_REG EQU CYREG_B0_UDB02_ST
SPIM_opticalDriver_BSPIM_BitCounter__16BIT_CONTROL_AUX_CTL_REG EQU CYREG_B0_UDB02_03_ACTL
SPIM_opticalDriver_BSPIM_BitCounter__16BIT_CONTROL_CONTROL_REG EQU CYREG_B0_UDB02_03_CTL
SPIM_opticalDriver_BSPIM_BitCounter__16BIT_CONTROL_COUNT_REG EQU CYREG_B0_UDB02_03_CTL
SPIM_opticalDriver_BSPIM_BitCounter__16BIT_COUNT_CONTROL_REG EQU CYREG_B0_UDB02_03_CTL
SPIM_opticalDriver_BSPIM_BitCounter__16BIT_COUNT_COUNT_REG EQU CYREG_B0_UDB02_03_CTL
SPIM_opticalDriver_BSPIM_BitCounter__16BIT_MASK_MASK_REG EQU CYREG_B0_UDB02_03_MSK
SPIM_opticalDriver_BSPIM_BitCounter__16BIT_MASK_PERIOD_REG EQU CYREG_B0_UDB02_03_MSK
SPIM_opticalDriver_BSPIM_BitCounter__16BIT_PERIOD_MASK_REG EQU CYREG_B0_UDB02_03_MSK
SPIM_opticalDriver_BSPIM_BitCounter__16BIT_PERIOD_PERIOD_REG EQU CYREG_B0_UDB02_03_MSK
SPIM_opticalDriver_BSPIM_BitCounter__CONTROL_AUX_CTL_REG EQU CYREG_B0_UDB02_ACTL
SPIM_opticalDriver_BSPIM_BitCounter__CONTROL_REG EQU CYREG_B0_UDB02_CTL
SPIM_opticalDriver_BSPIM_BitCounter__CONTROL_ST_REG EQU CYREG_B0_UDB02_ST_CTL
SPIM_opticalDriver_BSPIM_BitCounter__COUNT_REG EQU CYREG_B0_UDB02_CTL
SPIM_opticalDriver_BSPIM_BitCounter__COUNT_ST_REG EQU CYREG_B0_UDB02_ST_CTL
SPIM_opticalDriver_BSPIM_BitCounter__MASK_CTL_AUX_CTL_REG EQU CYREG_B0_UDB02_MSK_ACTL
SPIM_opticalDriver_BSPIM_BitCounter__PERIOD_REG EQU CYREG_B0_UDB02_MSK
SPIM_opticalDriver_BSPIM_BitCounter__PER_CTL_AUX_CTL_REG EQU CYREG_B0_UDB02_MSK_ACTL
SPIM_opticalDriver_BSPIM_RxStsReg__16BIT_STATUS_AUX_CTL_REG EQU CYREG_B0_UDB03_04_ACTL
SPIM_opticalDriver_BSPIM_RxStsReg__16BIT_STATUS_REG EQU CYREG_B0_UDB03_04_ST
SPIM_opticalDriver_BSPIM_RxStsReg__4__MASK EQU 0x10
SPIM_opticalDriver_BSPIM_RxStsReg__4__POS EQU 4
SPIM_opticalDriver_BSPIM_RxStsReg__5__MASK EQU 0x20
SPIM_opticalDriver_BSPIM_RxStsReg__5__POS EQU 5
SPIM_opticalDriver_BSPIM_RxStsReg__6__MASK EQU 0x40
SPIM_opticalDriver_BSPIM_RxStsReg__6__POS EQU 6
SPIM_opticalDriver_BSPIM_RxStsReg__MASK EQU 0x70
SPIM_opticalDriver_BSPIM_RxStsReg__MASK_REG EQU CYREG_B0_UDB03_MSK
SPIM_opticalDriver_BSPIM_RxStsReg__STATUS_AUX_CTL_REG EQU CYREG_B0_UDB03_ACTL
SPIM_opticalDriver_BSPIM_RxStsReg__STATUS_REG EQU CYREG_B0_UDB03_ST
SPIM_opticalDriver_BSPIM_TxStsReg__0__MASK EQU 0x01
SPIM_opticalDriver_BSPIM_TxStsReg__0__POS EQU 0
SPIM_opticalDriver_BSPIM_TxStsReg__16BIT_STATUS_AUX_CTL_REG EQU CYREG_B0_UDB04_05_ACTL
SPIM_opticalDriver_BSPIM_TxStsReg__16BIT_STATUS_REG EQU CYREG_B0_UDB04_05_ST
SPIM_opticalDriver_BSPIM_TxStsReg__1__MASK EQU 0x02
SPIM_opticalDriver_BSPIM_TxStsReg__1__POS EQU 1
SPIM_opticalDriver_BSPIM_TxStsReg__2__MASK EQU 0x04
SPIM_opticalDriver_BSPIM_TxStsReg__2__POS EQU 2
SPIM_opticalDriver_BSPIM_TxStsReg__3__MASK EQU 0x08
SPIM_opticalDriver_BSPIM_TxStsReg__3__POS EQU 3
SPIM_opticalDriver_BSPIM_TxStsReg__4__MASK EQU 0x10
SPIM_opticalDriver_BSPIM_TxStsReg__4__POS EQU 4
SPIM_opticalDriver_BSPIM_TxStsReg__MASK EQU 0x1F
SPIM_opticalDriver_BSPIM_TxStsReg__MASK_REG EQU CYREG_B0_UDB04_MSK
SPIM_opticalDriver_BSPIM_TxStsReg__STATUS_AUX_CTL_REG EQU CYREG_B0_UDB04_ACTL
SPIM_opticalDriver_BSPIM_TxStsReg__STATUS_REG EQU CYREG_B0_UDB04_ST
SPIM_opticalDriver_BSPIM_sR8_Dp_u0__16BIT_A0_REG EQU CYREG_B0_UDB03_04_A0
SPIM_opticalDriver_BSPIM_sR8_Dp_u0__16BIT_A1_REG EQU CYREG_B0_UDB03_04_A1
SPIM_opticalDriver_BSPIM_sR8_Dp_u0__16BIT_D0_REG EQU CYREG_B0_UDB03_04_D0
SPIM_opticalDriver_BSPIM_sR8_Dp_u0__16BIT_D1_REG EQU CYREG_B0_UDB03_04_D1
SPIM_opticalDriver_BSPIM_sR8_Dp_u0__16BIT_DP_AUX_CTL_REG EQU CYREG_B0_UDB03_04_ACTL
SPIM_opticalDriver_BSPIM_sR8_Dp_u0__16BIT_F0_REG EQU CYREG_B0_UDB03_04_F0
SPIM_opticalDriver_BSPIM_sR8_Dp_u0__16BIT_F1_REG EQU CYREG_B0_UDB03_04_F1
SPIM_opticalDriver_BSPIM_sR8_Dp_u0__A0_A1_REG EQU CYREG_B0_UDB03_A0_A1
SPIM_opticalDriver_BSPIM_sR8_Dp_u0__A0_REG EQU CYREG_B0_UDB03_A0
SPIM_opticalDriver_BSPIM_sR8_Dp_u0__A1_REG EQU CYREG_B0_UDB03_A1
SPIM_opticalDriver_BSPIM_sR8_Dp_u0__D0_D1_REG EQU CYREG_B0_UDB03_D0_D1
SPIM_opticalDriver_BSPIM_sR8_Dp_u0__D0_REG EQU CYREG_B0_UDB03_D0
SPIM_opticalDriver_BSPIM_sR8_Dp_u0__D1_REG EQU CYREG_B0_UDB03_D1
SPIM_opticalDriver_BSPIM_sR8_Dp_u0__DP_AUX_CTL_REG EQU CYREG_B0_UDB03_ACTL
SPIM_opticalDriver_BSPIM_sR8_Dp_u0__F0_F1_REG EQU CYREG_B0_UDB03_F0_F1
SPIM_opticalDriver_BSPIM_sR8_Dp_u0__F0_REG EQU CYREG_B0_UDB03_F0
SPIM_opticalDriver_BSPIM_sR8_Dp_u0__F1_REG EQU CYREG_B0_UDB03_F1

; opticalDriver_Reset_2
opticalDriver_Reset_2__0__MASK EQU 0x80
opticalDriver_Reset_2__0__PC EQU CYREG_PRT1_PC7
opticalDriver_Reset_2__0__PORT EQU 1
opticalDriver_Reset_2__0__SHIFT EQU 7
opticalDriver_Reset_2__AG EQU CYREG_PRT1_AG
opticalDriver_Reset_2__AMUX EQU CYREG_PRT1_AMUX
opticalDriver_Reset_2__BIE EQU CYREG_PRT1_BIE
opticalDriver_Reset_2__BIT_MASK EQU CYREG_PRT1_BIT_MASK
opticalDriver_Reset_2__BYP EQU CYREG_PRT1_BYP
opticalDriver_Reset_2__CTL EQU CYREG_PRT1_CTL
opticalDriver_Reset_2__DM0 EQU CYREG_PRT1_DM0
opticalDriver_Reset_2__DM1 EQU CYREG_PRT1_DM1
opticalDriver_Reset_2__DM2 EQU CYREG_PRT1_DM2
opticalDriver_Reset_2__DR EQU CYREG_PRT1_DR
opticalDriver_Reset_2__INP_DIS EQU CYREG_PRT1_INP_DIS
opticalDriver_Reset_2__LCD_COM_SEG EQU CYREG_PRT1_LCD_COM_SEG
opticalDriver_Reset_2__LCD_EN EQU CYREG_PRT1_LCD_EN
opticalDriver_Reset_2__MASK EQU 0x80
opticalDriver_Reset_2__PORT EQU 1
opticalDriver_Reset_2__PRT EQU CYREG_PRT1_PRT
opticalDriver_Reset_2__PRTDSI__CAPS_SEL EQU CYREG_PRT1_CAPS_SEL
opticalDriver_Reset_2__PRTDSI__DBL_SYNC_IN EQU CYREG_PRT1_DBL_SYNC_IN
opticalDriver_Reset_2__PRTDSI__OE_SEL0 EQU CYREG_PRT1_OE_SEL0
opticalDriver_Reset_2__PRTDSI__OE_SEL1 EQU CYREG_PRT1_OE_SEL1
opticalDriver_Reset_2__PRTDSI__OUT_SEL0 EQU CYREG_PRT1_OUT_SEL0
opticalDriver_Reset_2__PRTDSI__OUT_SEL1 EQU CYREG_PRT1_OUT_SEL1
opticalDriver_Reset_2__PRTDSI__SYNC_OUT EQU CYREG_PRT1_SYNC_OUT
opticalDriver_Reset_2__PS EQU CYREG_PRT1_PS
opticalDriver_Reset_2__SHIFT EQU 7
opticalDriver_Reset_2__SLW EQU CYREG_PRT1_SLW

; opticalDriver_MISO_2
opticalDriver_MISO_2__0__MASK EQU 0x40
opticalDriver_MISO_2__0__PC EQU CYREG_PRT12_PC6
opticalDriver_MISO_2__0__PORT EQU 12
opticalDriver_MISO_2__0__SHIFT EQU 6
opticalDriver_MISO_2__AG EQU CYREG_PRT12_AG
opticalDriver_MISO_2__BIE EQU CYREG_PRT12_BIE
opticalDriver_MISO_2__BIT_MASK EQU CYREG_PRT12_BIT_MASK
opticalDriver_MISO_2__BYP EQU CYREG_PRT12_BYP
opticalDriver_MISO_2__DM0 EQU CYREG_PRT12_DM0
opticalDriver_MISO_2__DM1 EQU CYREG_PRT12_DM1
opticalDriver_MISO_2__DM2 EQU CYREG_PRT12_DM2
opticalDriver_MISO_2__DR EQU CYREG_PRT12_DR
opticalDriver_MISO_2__INP_DIS EQU CYREG_PRT12_INP_DIS
opticalDriver_MISO_2__MASK EQU 0x40
opticalDriver_MISO_2__PORT EQU 12
opticalDriver_MISO_2__PRT EQU CYREG_PRT12_PRT
opticalDriver_MISO_2__PRTDSI__DBL_SYNC_IN EQU CYREG_PRT12_DBL_SYNC_IN
opticalDriver_MISO_2__PRTDSI__OE_SEL0 EQU CYREG_PRT12_OE_SEL0
opticalDriver_MISO_2__PRTDSI__OE_SEL1 EQU CYREG_PRT12_OE_SEL1
opticalDriver_MISO_2__PRTDSI__OUT_SEL0 EQU CYREG_PRT12_OUT_SEL0
opticalDriver_MISO_2__PRTDSI__OUT_SEL1 EQU CYREG_PRT12_OUT_SEL1
opticalDriver_MISO_2__PRTDSI__SYNC_OUT EQU CYREG_PRT12_SYNC_OUT
opticalDriver_MISO_2__PS EQU CYREG_PRT12_PS
opticalDriver_MISO_2__SHIFT EQU 6
opticalDriver_MISO_2__SIO_CFG EQU CYREG_PRT12_SIO_CFG
opticalDriver_MISO_2__SIO_DIFF EQU CYREG_PRT12_SIO_DIFF
opticalDriver_MISO_2__SIO_HYST_EN EQU CYREG_PRT12_SIO_HYST_EN
opticalDriver_MISO_2__SIO_REG_HIFREQ EQU CYREG_PRT12_SIO_REG_HIFREQ
opticalDriver_MISO_2__SLW EQU CYREG_PRT12_SLW

; opticalDriver_MOSI_2
opticalDriver_MOSI_2__0__MASK EQU 0x80
opticalDriver_MOSI_2__0__PC EQU CYREG_PRT12_PC7
opticalDriver_MOSI_2__0__PORT EQU 12
opticalDriver_MOSI_2__0__SHIFT EQU 7
opticalDriver_MOSI_2__AG EQU CYREG_PRT12_AG
opticalDriver_MOSI_2__BIE EQU CYREG_PRT12_BIE
opticalDriver_MOSI_2__BIT_MASK EQU CYREG_PRT12_BIT_MASK
opticalDriver_MOSI_2__BYP EQU CYREG_PRT12_BYP
opticalDriver_MOSI_2__DM0 EQU CYREG_PRT12_DM0
opticalDriver_MOSI_2__DM1 EQU CYREG_PRT12_DM1
opticalDriver_MOSI_2__DM2 EQU CYREG_PRT12_DM2
opticalDriver_MOSI_2__DR EQU CYREG_PRT12_DR
opticalDriver_MOSI_2__INP_DIS EQU CYREG_PRT12_INP_DIS
opticalDriver_MOSI_2__MASK EQU 0x80
opticalDriver_MOSI_2__PORT EQU 12
opticalDriver_MOSI_2__PRT EQU CYREG_PRT12_PRT
opticalDriver_MOSI_2__PRTDSI__DBL_SYNC_IN EQU CYREG_PRT12_DBL_SYNC_IN
opticalDriver_MOSI_2__PRTDSI__OE_SEL0 EQU CYREG_PRT12_OE_SEL0
opticalDriver_MOSI_2__PRTDSI__OE_SEL1 EQU CYREG_PRT12_OE_SEL1
opticalDriver_MOSI_2__PRTDSI__OUT_SEL0 EQU CYREG_PRT12_OUT_SEL0
opticalDriver_MOSI_2__PRTDSI__OUT_SEL1 EQU CYREG_PRT12_OUT_SEL1
opticalDriver_MOSI_2__PRTDSI__SYNC_OUT EQU CYREG_PRT12_SYNC_OUT
opticalDriver_MOSI_2__PS EQU CYREG_PRT12_PS
opticalDriver_MOSI_2__SHIFT EQU 7
opticalDriver_MOSI_2__SIO_CFG EQU CYREG_PRT12_SIO_CFG
opticalDriver_MOSI_2__SIO_DIFF EQU CYREG_PRT12_SIO_DIFF
opticalDriver_MOSI_2__SIO_HYST_EN EQU CYREG_PRT12_SIO_HYST_EN
opticalDriver_MOSI_2__SIO_REG_HIFREQ EQU CYREG_PRT12_SIO_REG_HIFREQ
opticalDriver_MOSI_2__SLW EQU CYREG_PRT12_SLW

; opticalDriver_SCLK_2
opticalDriver_SCLK_2__0__MASK EQU 0x10
opticalDriver_SCLK_2__0__PC EQU CYREG_PRT5_PC4
opticalDriver_SCLK_2__0__PORT EQU 5
opticalDriver_SCLK_2__0__SHIFT EQU 4
opticalDriver_SCLK_2__AG EQU CYREG_PRT5_AG
opticalDriver_SCLK_2__AMUX EQU CYREG_PRT5_AMUX
opticalDriver_SCLK_2__BIE EQU CYREG_PRT5_BIE
opticalDriver_SCLK_2__BIT_MASK EQU CYREG_PRT5_BIT_MASK
opticalDriver_SCLK_2__BYP EQU CYREG_PRT5_BYP
opticalDriver_SCLK_2__CTL EQU CYREG_PRT5_CTL
opticalDriver_SCLK_2__DM0 EQU CYREG_PRT5_DM0
opticalDriver_SCLK_2__DM1 EQU CYREG_PRT5_DM1
opticalDriver_SCLK_2__DM2 EQU CYREG_PRT5_DM2
opticalDriver_SCLK_2__DR EQU CYREG_PRT5_DR
opticalDriver_SCLK_2__INP_DIS EQU CYREG_PRT5_INP_DIS
opticalDriver_SCLK_2__LCD_COM_SEG EQU CYREG_PRT5_LCD_COM_SEG
opticalDriver_SCLK_2__LCD_EN EQU CYREG_PRT5_LCD_EN
opticalDriver_SCLK_2__MASK EQU 0x10
opticalDriver_SCLK_2__PORT EQU 5
opticalDriver_SCLK_2__PRT EQU CYREG_PRT5_PRT
opticalDriver_SCLK_2__PRTDSI__CAPS_SEL EQU CYREG_PRT5_CAPS_SEL
opticalDriver_SCLK_2__PRTDSI__DBL_SYNC_IN EQU CYREG_PRT5_DBL_SYNC_IN
opticalDriver_SCLK_2__PRTDSI__OE_SEL0 EQU CYREG_PRT5_OE_SEL0
opticalDriver_SCLK_2__PRTDSI__OE_SEL1 EQU CYREG_PRT5_OE_SEL1
opticalDriver_SCLK_2__PRTDSI__OUT_SEL0 EQU CYREG_PRT5_OUT_SEL0
opticalDriver_SCLK_2__PRTDSI__OUT_SEL1 EQU CYREG_PRT5_OUT_SEL1
opticalDriver_SCLK_2__PRTDSI__SYNC_OUT EQU CYREG_PRT5_SYNC_OUT
opticalDriver_SCLK_2__PS EQU CYREG_PRT5_PS
opticalDriver_SCLK_2__SHIFT EQU 4
opticalDriver_SCLK_2__SLW EQU CYREG_PRT5_SLW

; PWM_heartBeat_PWMUDB
PWM_heartBeat_PWMUDB_genblk1_ctrlreg__16BIT_CONTROL_AUX_CTL_REG EQU CYREG_B0_UDB06_07_ACTL
PWM_heartBeat_PWMUDB_genblk1_ctrlreg__16BIT_CONTROL_CONTROL_REG EQU CYREG_B0_UDB06_07_CTL
PWM_heartBeat_PWMUDB_genblk1_ctrlreg__16BIT_CONTROL_COUNT_REG EQU CYREG_B0_UDB06_07_CTL
PWM_heartBeat_PWMUDB_genblk1_ctrlreg__16BIT_COUNT_CONTROL_REG EQU CYREG_B0_UDB06_07_CTL
PWM_heartBeat_PWMUDB_genblk1_ctrlreg__16BIT_COUNT_COUNT_REG EQU CYREG_B0_UDB06_07_CTL
PWM_heartBeat_PWMUDB_genblk1_ctrlreg__16BIT_MASK_MASK_REG EQU CYREG_B0_UDB06_07_MSK
PWM_heartBeat_PWMUDB_genblk1_ctrlreg__16BIT_MASK_PERIOD_REG EQU CYREG_B0_UDB06_07_MSK
PWM_heartBeat_PWMUDB_genblk1_ctrlreg__16BIT_PERIOD_MASK_REG EQU CYREG_B0_UDB06_07_MSK
PWM_heartBeat_PWMUDB_genblk1_ctrlreg__16BIT_PERIOD_PERIOD_REG EQU CYREG_B0_UDB06_07_MSK
PWM_heartBeat_PWMUDB_genblk1_ctrlreg__7__MASK EQU 0x80
PWM_heartBeat_PWMUDB_genblk1_ctrlreg__7__POS EQU 7
PWM_heartBeat_PWMUDB_genblk1_ctrlreg__CONTROL_AUX_CTL_REG EQU CYREG_B0_UDB06_ACTL
PWM_heartBeat_PWMUDB_genblk1_ctrlreg__CONTROL_REG EQU CYREG_B0_UDB06_CTL
PWM_heartBeat_PWMUDB_genblk1_ctrlreg__CONTROL_ST_REG EQU CYREG_B0_UDB06_ST_CTL
PWM_heartBeat_PWMUDB_genblk1_ctrlreg__COUNT_REG EQU CYREG_B0_UDB06_CTL
PWM_heartBeat_PWMUDB_genblk1_ctrlreg__COUNT_ST_REG EQU CYREG_B0_UDB06_ST_CTL
PWM_heartBeat_PWMUDB_genblk1_ctrlreg__MASK EQU 0x80
PWM_heartBeat_PWMUDB_genblk1_ctrlreg__MASK_CTL_AUX_CTL_REG EQU CYREG_B0_UDB06_MSK_ACTL
PWM_heartBeat_PWMUDB_genblk1_ctrlreg__PERIOD_REG EQU CYREG_B0_UDB06_MSK
PWM_heartBeat_PWMUDB_genblk1_ctrlreg__PER_CTL_AUX_CTL_REG EQU CYREG_B0_UDB06_MSK_ACTL
PWM_heartBeat_PWMUDB_genblk8_stsreg__0__MASK EQU 0x01
PWM_heartBeat_PWMUDB_genblk8_stsreg__0__POS EQU 0
PWM_heartBeat_PWMUDB_genblk8_stsreg__16BIT_STATUS_AUX_CTL_REG EQU CYREG_B0_UDB06_07_ACTL
PWM_heartBeat_PWMUDB_genblk8_stsreg__16BIT_STATUS_REG EQU CYREG_B0_UDB06_07_ST
PWM_heartBeat_PWMUDB_genblk8_stsreg__2__MASK EQU 0x04
PWM_heartBeat_PWMUDB_genblk8_stsreg__2__POS EQU 2
PWM_heartBeat_PWMUDB_genblk8_stsreg__3__MASK EQU 0x08
PWM_heartBeat_PWMUDB_genblk8_stsreg__3__POS EQU 3
PWM_heartBeat_PWMUDB_genblk8_stsreg__5__MASK EQU 0x20
PWM_heartBeat_PWMUDB_genblk8_stsreg__5__POS EQU 5
PWM_heartBeat_PWMUDB_genblk8_stsreg__MASK EQU 0x2D
PWM_heartBeat_PWMUDB_genblk8_stsreg__MASK_REG EQU CYREG_B0_UDB06_MSK
PWM_heartBeat_PWMUDB_genblk8_stsreg__MASK_ST_AUX_CTL_REG EQU CYREG_B0_UDB06_MSK_ACTL
PWM_heartBeat_PWMUDB_genblk8_stsreg__PER_ST_AUX_CTL_REG EQU CYREG_B0_UDB06_MSK_ACTL
PWM_heartBeat_PWMUDB_genblk8_stsreg__STATUS_AUX_CTL_REG EQU CYREG_B0_UDB06_ACTL
PWM_heartBeat_PWMUDB_genblk8_stsreg__STATUS_CNT_REG EQU CYREG_B0_UDB06_ST_CTL
PWM_heartBeat_PWMUDB_genblk8_stsreg__STATUS_CONTROL_REG EQU CYREG_B0_UDB06_ST_CTL
PWM_heartBeat_PWMUDB_genblk8_stsreg__STATUS_REG EQU CYREG_B0_UDB06_ST
PWM_heartBeat_PWMUDB_sP8_pwmdp_u0__16BIT_A0_REG EQU CYREG_B0_UDB06_07_A0
PWM_heartBeat_PWMUDB_sP8_pwmdp_u0__16BIT_A1_REG EQU CYREG_B0_UDB06_07_A1
PWM_heartBeat_PWMUDB_sP8_pwmdp_u0__16BIT_D0_REG EQU CYREG_B0_UDB06_07_D0
PWM_heartBeat_PWMUDB_sP8_pwmdp_u0__16BIT_D1_REG EQU CYREG_B0_UDB06_07_D1
PWM_heartBeat_PWMUDB_sP8_pwmdp_u0__16BIT_DP_AUX_CTL_REG EQU CYREG_B0_UDB06_07_ACTL
PWM_heartBeat_PWMUDB_sP8_pwmdp_u0__16BIT_F0_REG EQU CYREG_B0_UDB06_07_F0
PWM_heartBeat_PWMUDB_sP8_pwmdp_u0__16BIT_F1_REG EQU CYREG_B0_UDB06_07_F1
PWM_heartBeat_PWMUDB_sP8_pwmdp_u0__A0_A1_REG EQU CYREG_B0_UDB06_A0_A1
PWM_heartBeat_PWMUDB_sP8_pwmdp_u0__A0_REG EQU CYREG_B0_UDB06_A0
PWM_heartBeat_PWMUDB_sP8_pwmdp_u0__A1_REG EQU CYREG_B0_UDB06_A1
PWM_heartBeat_PWMUDB_sP8_pwmdp_u0__D0_D1_REG EQU CYREG_B0_UDB06_D0_D1
PWM_heartBeat_PWMUDB_sP8_pwmdp_u0__D0_REG EQU CYREG_B0_UDB06_D0
PWM_heartBeat_PWMUDB_sP8_pwmdp_u0__D1_REG EQU CYREG_B0_UDB06_D1
PWM_heartBeat_PWMUDB_sP8_pwmdp_u0__DP_AUX_CTL_REG EQU CYREG_B0_UDB06_ACTL
PWM_heartBeat_PWMUDB_sP8_pwmdp_u0__F0_F1_REG EQU CYREG_B0_UDB06_F0_F1
PWM_heartBeat_PWMUDB_sP8_pwmdp_u0__F0_REG EQU CYREG_B0_UDB06_F0
PWM_heartBeat_PWMUDB_sP8_pwmdp_u0__F1_REG EQU CYREG_B0_UDB06_F1
PWM_heartBeat_PWMUDB_sP8_pwmdp_u0__MSK_DP_AUX_CTL_REG EQU CYREG_B0_UDB06_MSK_ACTL
PWM_heartBeat_PWMUDB_sP8_pwmdp_u0__PER_DP_AUX_CTL_REG EQU CYREG_B0_UDB06_MSK_ACTL

; opticalDriver_NCS_2
opticalDriver_NCS_2__0__MASK EQU 0x40
opticalDriver_NCS_2__0__PC EQU CYREG_PRT1_PC6
opticalDriver_NCS_2__0__PORT EQU 1
opticalDriver_NCS_2__0__SHIFT EQU 6
opticalDriver_NCS_2__AG EQU CYREG_PRT1_AG
opticalDriver_NCS_2__AMUX EQU CYREG_PRT1_AMUX
opticalDriver_NCS_2__BIE EQU CYREG_PRT1_BIE
opticalDriver_NCS_2__BIT_MASK EQU CYREG_PRT1_BIT_MASK
opticalDriver_NCS_2__BYP EQU CYREG_PRT1_BYP
opticalDriver_NCS_2__CTL EQU CYREG_PRT1_CTL
opticalDriver_NCS_2__DM0 EQU CYREG_PRT1_DM0
opticalDriver_NCS_2__DM1 EQU CYREG_PRT1_DM1
opticalDriver_NCS_2__DM2 EQU CYREG_PRT1_DM2
opticalDriver_NCS_2__DR EQU CYREG_PRT1_DR
opticalDriver_NCS_2__INP_DIS EQU CYREG_PRT1_INP_DIS
opticalDriver_NCS_2__LCD_COM_SEG EQU CYREG_PRT1_LCD_COM_SEG
opticalDriver_NCS_2__LCD_EN EQU CYREG_PRT1_LCD_EN
opticalDriver_NCS_2__MASK EQU 0x40
opticalDriver_NCS_2__PORT EQU 1
opticalDriver_NCS_2__PRT EQU CYREG_PRT1_PRT
opticalDriver_NCS_2__PRTDSI__CAPS_SEL EQU CYREG_PRT1_CAPS_SEL
opticalDriver_NCS_2__PRTDSI__DBL_SYNC_IN EQU CYREG_PRT1_DBL_SYNC_IN
opticalDriver_NCS_2__PRTDSI__OE_SEL0 EQU CYREG_PRT1_OE_SEL0
opticalDriver_NCS_2__PRTDSI__OE_SEL1 EQU CYREG_PRT1_OE_SEL1
opticalDriver_NCS_2__PRTDSI__OUT_SEL0 EQU CYREG_PRT1_OUT_SEL0
opticalDriver_NCS_2__PRTDSI__OUT_SEL1 EQU CYREG_PRT1_OUT_SEL1
opticalDriver_NCS_2__PRTDSI__SYNC_OUT EQU CYREG_PRT1_SYNC_OUT
opticalDriver_NCS_2__PS EQU CYREG_PRT1_PS
opticalDriver_NCS_2__SHIFT EQU 6
opticalDriver_NCS_2__SLW EQU CYREG_PRT1_SLW

; opticalDriver_Reset
opticalDriver_Reset__0__MASK EQU 0x20
opticalDriver_Reset__0__PC EQU CYREG_PRT0_PC5
opticalDriver_Reset__0__PORT EQU 0
opticalDriver_Reset__0__SHIFT EQU 5
opticalDriver_Reset__AG EQU CYREG_PRT0_AG
opticalDriver_Reset__AMUX EQU CYREG_PRT0_AMUX
opticalDriver_Reset__BIE EQU CYREG_PRT0_BIE
opticalDriver_Reset__BIT_MASK EQU CYREG_PRT0_BIT_MASK
opticalDriver_Reset__BYP EQU CYREG_PRT0_BYP
opticalDriver_Reset__CTL EQU CYREG_PRT0_CTL
opticalDriver_Reset__DM0 EQU CYREG_PRT0_DM0
opticalDriver_Reset__DM1 EQU CYREG_PRT0_DM1
opticalDriver_Reset__DM2 EQU CYREG_PRT0_DM2
opticalDriver_Reset__DR EQU CYREG_PRT0_DR
opticalDriver_Reset__INP_DIS EQU CYREG_PRT0_INP_DIS
opticalDriver_Reset__LCD_COM_SEG EQU CYREG_PRT0_LCD_COM_SEG
opticalDriver_Reset__LCD_EN EQU CYREG_PRT0_LCD_EN
opticalDriver_Reset__MASK EQU 0x20
opticalDriver_Reset__PORT EQU 0
opticalDriver_Reset__PRT EQU CYREG_PRT0_PRT
opticalDriver_Reset__PRTDSI__CAPS_SEL EQU CYREG_PRT0_CAPS_SEL
opticalDriver_Reset__PRTDSI__DBL_SYNC_IN EQU CYREG_PRT0_DBL_SYNC_IN
opticalDriver_Reset__PRTDSI__OE_SEL0 EQU CYREG_PRT0_OE_SEL0
opticalDriver_Reset__PRTDSI__OE_SEL1 EQU CYREG_PRT0_OE_SEL1
opticalDriver_Reset__PRTDSI__OUT_SEL0 EQU CYREG_PRT0_OUT_SEL0
opticalDriver_Reset__PRTDSI__OUT_SEL1 EQU CYREG_PRT0_OUT_SEL1
opticalDriver_Reset__PRTDSI__SYNC_OUT EQU CYREG_PRT0_SYNC_OUT
opticalDriver_Reset__PS EQU CYREG_PRT0_PS
opticalDriver_Reset__SHIFT EQU 5
opticalDriver_Reset__SLW EQU CYREG_PRT0_SLW

; opticalDriver_MISO
opticalDriver_MISO__0__MASK EQU 0x40
opticalDriver_MISO__0__PC EQU CYREG_PRT0_PC6
opticalDriver_MISO__0__PORT EQU 0
opticalDriver_MISO__0__SHIFT EQU 6
opticalDriver_MISO__AG EQU CYREG_PRT0_AG
opticalDriver_MISO__AMUX EQU CYREG_PRT0_AMUX
opticalDriver_MISO__BIE EQU CYREG_PRT0_BIE
opticalDriver_MISO__BIT_MASK EQU CYREG_PRT0_BIT_MASK
opticalDriver_MISO__BYP EQU CYREG_PRT0_BYP
opticalDriver_MISO__CTL EQU CYREG_PRT0_CTL
opticalDriver_MISO__DM0 EQU CYREG_PRT0_DM0
opticalDriver_MISO__DM1 EQU CYREG_PRT0_DM1
opticalDriver_MISO__DM2 EQU CYREG_PRT0_DM2
opticalDriver_MISO__DR EQU CYREG_PRT0_DR
opticalDriver_MISO__INP_DIS EQU CYREG_PRT0_INP_DIS
opticalDriver_MISO__LCD_COM_SEG EQU CYREG_PRT0_LCD_COM_SEG
opticalDriver_MISO__LCD_EN EQU CYREG_PRT0_LCD_EN
opticalDriver_MISO__MASK EQU 0x40
opticalDriver_MISO__PORT EQU 0
opticalDriver_MISO__PRT EQU CYREG_PRT0_PRT
opticalDriver_MISO__PRTDSI__CAPS_SEL EQU CYREG_PRT0_CAPS_SEL
opticalDriver_MISO__PRTDSI__DBL_SYNC_IN EQU CYREG_PRT0_DBL_SYNC_IN
opticalDriver_MISO__PRTDSI__OE_SEL0 EQU CYREG_PRT0_OE_SEL0
opticalDriver_MISO__PRTDSI__OE_SEL1 EQU CYREG_PRT0_OE_SEL1
opticalDriver_MISO__PRTDSI__OUT_SEL0 EQU CYREG_PRT0_OUT_SEL0
opticalDriver_MISO__PRTDSI__OUT_SEL1 EQU CYREG_PRT0_OUT_SEL1
opticalDriver_MISO__PRTDSI__SYNC_OUT EQU CYREG_PRT0_SYNC_OUT
opticalDriver_MISO__PS EQU CYREG_PRT0_PS
opticalDriver_MISO__SHIFT EQU 6
opticalDriver_MISO__SLW EQU CYREG_PRT0_SLW

; opticalDriver_MOSI
opticalDriver_MOSI__0__MASK EQU 0x04
opticalDriver_MOSI__0__PC EQU CYREG_PRT4_PC2
opticalDriver_MOSI__0__PORT EQU 4
opticalDriver_MOSI__0__SHIFT EQU 2
opticalDriver_MOSI__AG EQU CYREG_PRT4_AG
opticalDriver_MOSI__AMUX EQU CYREG_PRT4_AMUX
opticalDriver_MOSI__BIE EQU CYREG_PRT4_BIE
opticalDriver_MOSI__BIT_MASK EQU CYREG_PRT4_BIT_MASK
opticalDriver_MOSI__BYP EQU CYREG_PRT4_BYP
opticalDriver_MOSI__CTL EQU CYREG_PRT4_CTL
opticalDriver_MOSI__DM0 EQU CYREG_PRT4_DM0
opticalDriver_MOSI__DM1 EQU CYREG_PRT4_DM1
opticalDriver_MOSI__DM2 EQU CYREG_PRT4_DM2
opticalDriver_MOSI__DR EQU CYREG_PRT4_DR
opticalDriver_MOSI__INP_DIS EQU CYREG_PRT4_INP_DIS
opticalDriver_MOSI__LCD_COM_SEG EQU CYREG_PRT4_LCD_COM_SEG
opticalDriver_MOSI__LCD_EN EQU CYREG_PRT4_LCD_EN
opticalDriver_MOSI__MASK EQU 0x04
opticalDriver_MOSI__PORT EQU 4
opticalDriver_MOSI__PRT EQU CYREG_PRT4_PRT
opticalDriver_MOSI__PRTDSI__CAPS_SEL EQU CYREG_PRT4_CAPS_SEL
opticalDriver_MOSI__PRTDSI__DBL_SYNC_IN EQU CYREG_PRT4_DBL_SYNC_IN
opticalDriver_MOSI__PRTDSI__OE_SEL0 EQU CYREG_PRT4_OE_SEL0
opticalDriver_MOSI__PRTDSI__OE_SEL1 EQU CYREG_PRT4_OE_SEL1
opticalDriver_MOSI__PRTDSI__OUT_SEL0 EQU CYREG_PRT4_OUT_SEL0
opticalDriver_MOSI__PRTDSI__OUT_SEL1 EQU CYREG_PRT4_OUT_SEL1
opticalDriver_MOSI__PRTDSI__SYNC_OUT EQU CYREG_PRT4_SYNC_OUT
opticalDriver_MOSI__PS EQU CYREG_PRT4_PS
opticalDriver_MOSI__SHIFT EQU 2
opticalDriver_MOSI__SLW EQU CYREG_PRT4_SLW

; opticalDriver_SCLK
opticalDriver_SCLK__0__MASK EQU 0x80
opticalDriver_SCLK__0__PC EQU CYREG_PRT0_PC7
opticalDriver_SCLK__0__PORT EQU 0
opticalDriver_SCLK__0__SHIFT EQU 7
opticalDriver_SCLK__AG EQU CYREG_PRT0_AG
opticalDriver_SCLK__AMUX EQU CYREG_PRT0_AMUX
opticalDriver_SCLK__BIE EQU CYREG_PRT0_BIE
opticalDriver_SCLK__BIT_MASK EQU CYREG_PRT0_BIT_MASK
opticalDriver_SCLK__BYP EQU CYREG_PRT0_BYP
opticalDriver_SCLK__CTL EQU CYREG_PRT0_CTL
opticalDriver_SCLK__DM0 EQU CYREG_PRT0_DM0
opticalDriver_SCLK__DM1 EQU CYREG_PRT0_DM1
opticalDriver_SCLK__DM2 EQU CYREG_PRT0_DM2
opticalDriver_SCLK__DR EQU CYREG_PRT0_DR
opticalDriver_SCLK__INP_DIS EQU CYREG_PRT0_INP_DIS
opticalDriver_SCLK__LCD_COM_SEG EQU CYREG_PRT0_LCD_COM_SEG
opticalDriver_SCLK__LCD_EN EQU CYREG_PRT0_LCD_EN
opticalDriver_SCLK__MASK EQU 0x80
opticalDriver_SCLK__PORT EQU 0
opticalDriver_SCLK__PRT EQU CYREG_PRT0_PRT
opticalDriver_SCLK__PRTDSI__CAPS_SEL EQU CYREG_PRT0_CAPS_SEL
opticalDriver_SCLK__PRTDSI__DBL_SYNC_IN EQU CYREG_PRT0_DBL_SYNC_IN
opticalDriver_SCLK__PRTDSI__OE_SEL0 EQU CYREG_PRT0_OE_SEL0
opticalDriver_SCLK__PRTDSI__OE_SEL1 EQU CYREG_PRT0_OE_SEL1
opticalDriver_SCLK__PRTDSI__OUT_SEL0 EQU CYREG_PRT0_OUT_SEL0
opticalDriver_SCLK__PRTDSI__OUT_SEL1 EQU CYREG_PRT0_OUT_SEL1
opticalDriver_SCLK__PRTDSI__SYNC_OUT EQU CYREG_PRT0_SYNC_OUT
opticalDriver_SCLK__PS EQU CYREG_PRT0_PS
opticalDriver_SCLK__SHIFT EQU 7
opticalDriver_SCLK__SLW EQU CYREG_PRT0_SLW

; opticalDriver_NCS
opticalDriver_NCS__0__MASK EQU 0x10
opticalDriver_NCS__0__PC EQU CYREG_PRT0_PC4
opticalDriver_NCS__0__PORT EQU 0
opticalDriver_NCS__0__SHIFT EQU 4
opticalDriver_NCS__AG EQU CYREG_PRT0_AG
opticalDriver_NCS__AMUX EQU CYREG_PRT0_AMUX
opticalDriver_NCS__BIE EQU CYREG_PRT0_BIE
opticalDriver_NCS__BIT_MASK EQU CYREG_PRT0_BIT_MASK
opticalDriver_NCS__BYP EQU CYREG_PRT0_BYP
opticalDriver_NCS__CTL EQU CYREG_PRT0_CTL
opticalDriver_NCS__DM0 EQU CYREG_PRT0_DM0
opticalDriver_NCS__DM1 EQU CYREG_PRT0_DM1
opticalDriver_NCS__DM2 EQU CYREG_PRT0_DM2
opticalDriver_NCS__DR EQU CYREG_PRT0_DR
opticalDriver_NCS__INP_DIS EQU CYREG_PRT0_INP_DIS
opticalDriver_NCS__LCD_COM_SEG EQU CYREG_PRT0_LCD_COM_SEG
opticalDriver_NCS__LCD_EN EQU CYREG_PRT0_LCD_EN
opticalDriver_NCS__MASK EQU 0x10
opticalDriver_NCS__PORT EQU 0
opticalDriver_NCS__PRT EQU CYREG_PRT0_PRT
opticalDriver_NCS__PRTDSI__CAPS_SEL EQU CYREG_PRT0_CAPS_SEL
opticalDriver_NCS__PRTDSI__DBL_SYNC_IN EQU CYREG_PRT0_DBL_SYNC_IN
opticalDriver_NCS__PRTDSI__OE_SEL0 EQU CYREG_PRT0_OE_SEL0
opticalDriver_NCS__PRTDSI__OE_SEL1 EQU CYREG_PRT0_OE_SEL1
opticalDriver_NCS__PRTDSI__OUT_SEL0 EQU CYREG_PRT0_OUT_SEL0
opticalDriver_NCS__PRTDSI__OUT_SEL1 EQU CYREG_PRT0_OUT_SEL1
opticalDriver_NCS__PRTDSI__SYNC_OUT EQU CYREG_PRT0_SYNC_OUT
opticalDriver_NCS__PS EQU CYREG_PRT0_PS
opticalDriver_NCS__SHIFT EQU 4
opticalDriver_NCS__SLW EQU CYREG_PRT0_SLW

; EZI2C_1_I2C_Prim
EZI2C_1_I2C_Prim__ADR EQU CYREG_I2C_ADR
EZI2C_1_I2C_Prim__CFG EQU CYREG_I2C_CFG
EZI2C_1_I2C_Prim__CLK_DIV1 EQU CYREG_I2C_CLK_DIV1
EZI2C_1_I2C_Prim__CLK_DIV2 EQU CYREG_I2C_CLK_DIV2
EZI2C_1_I2C_Prim__CSR EQU CYREG_I2C_CSR
EZI2C_1_I2C_Prim__D EQU CYREG_I2C_D
EZI2C_1_I2C_Prim__MCSR EQU CYREG_I2C_MCSR
EZI2C_1_I2C_Prim__PM_ACT_CFG EQU CYREG_PM_ACT_CFG5
EZI2C_1_I2C_Prim__PM_ACT_MSK EQU 0x04
EZI2C_1_I2C_Prim__PM_STBY_CFG EQU CYREG_PM_STBY_CFG5
EZI2C_1_I2C_Prim__PM_STBY_MSK EQU 0x04
EZI2C_1_I2C_Prim__XCFG EQU CYREG_I2C_XCFG

; Pin_Right_Click
Pin_Right_Click__0__MASK EQU 0x08
Pin_Right_Click__0__PC EQU CYREG_PRT2_PC3
Pin_Right_Click__0__PORT EQU 2
Pin_Right_Click__0__SHIFT EQU 3
Pin_Right_Click__AG EQU CYREG_PRT2_AG
Pin_Right_Click__AMUX EQU CYREG_PRT2_AMUX
Pin_Right_Click__BIE EQU CYREG_PRT2_BIE
Pin_Right_Click__BIT_MASK EQU CYREG_PRT2_BIT_MASK
Pin_Right_Click__BYP EQU CYREG_PRT2_BYP
Pin_Right_Click__CTL EQU CYREG_PRT2_CTL
Pin_Right_Click__DM0 EQU CYREG_PRT2_DM0
Pin_Right_Click__DM1 EQU CYREG_PRT2_DM1
Pin_Right_Click__DM2 EQU CYREG_PRT2_DM2
Pin_Right_Click__DR EQU CYREG_PRT2_DR
Pin_Right_Click__INP_DIS EQU CYREG_PRT2_INP_DIS
Pin_Right_Click__LCD_COM_SEG EQU CYREG_PRT2_LCD_COM_SEG
Pin_Right_Click__LCD_EN EQU CYREG_PRT2_LCD_EN
Pin_Right_Click__MASK EQU 0x08
Pin_Right_Click__PORT EQU 2
Pin_Right_Click__PRT EQU CYREG_PRT2_PRT
Pin_Right_Click__PRTDSI__CAPS_SEL EQU CYREG_PRT2_CAPS_SEL
Pin_Right_Click__PRTDSI__DBL_SYNC_IN EQU CYREG_PRT2_DBL_SYNC_IN
Pin_Right_Click__PRTDSI__OE_SEL0 EQU CYREG_PRT2_OE_SEL0
Pin_Right_Click__PRTDSI__OE_SEL1 EQU CYREG_PRT2_OE_SEL1
Pin_Right_Click__PRTDSI__OUT_SEL0 EQU CYREG_PRT2_OUT_SEL0
Pin_Right_Click__PRTDSI__OUT_SEL1 EQU CYREG_PRT2_OUT_SEL1
Pin_Right_Click__PRTDSI__SYNC_OUT EQU CYREG_PRT2_SYNC_OUT
Pin_Right_Click__PS EQU CYREG_PRT2_PS
Pin_Right_Click__SHIFT EQU 3
Pin_Right_Click__SLW EQU CYREG_PRT2_SLW

; Pin_Left_Click
Pin_Left_Click__0__MASK EQU 0x10
Pin_Left_Click__0__PC EQU CYREG_PRT2_PC4
Pin_Left_Click__0__PORT EQU 2
Pin_Left_Click__0__SHIFT EQU 4
Pin_Left_Click__AG EQU CYREG_PRT2_AG
Pin_Left_Click__AMUX EQU CYREG_PRT2_AMUX
Pin_Left_Click__BIE EQU CYREG_PRT2_BIE
Pin_Left_Click__BIT_MASK EQU CYREG_PRT2_BIT_MASK
Pin_Left_Click__BYP EQU CYREG_PRT2_BYP
Pin_Left_Click__CTL EQU CYREG_PRT2_CTL
Pin_Left_Click__DM0 EQU CYREG_PRT2_DM0
Pin_Left_Click__DM1 EQU CYREG_PRT2_DM1
Pin_Left_Click__DM2 EQU CYREG_PRT2_DM2
Pin_Left_Click__DR EQU CYREG_PRT2_DR
Pin_Left_Click__INP_DIS EQU CYREG_PRT2_INP_DIS
Pin_Left_Click__LCD_COM_SEG EQU CYREG_PRT2_LCD_COM_SEG
Pin_Left_Click__LCD_EN EQU CYREG_PRT2_LCD_EN
Pin_Left_Click__MASK EQU 0x10
Pin_Left_Click__PORT EQU 2
Pin_Left_Click__PRT EQU CYREG_PRT2_PRT
Pin_Left_Click__PRTDSI__CAPS_SEL EQU CYREG_PRT2_CAPS_SEL
Pin_Left_Click__PRTDSI__DBL_SYNC_IN EQU CYREG_PRT2_DBL_SYNC_IN
Pin_Left_Click__PRTDSI__OE_SEL0 EQU CYREG_PRT2_OE_SEL0
Pin_Left_Click__PRTDSI__OE_SEL1 EQU CYREG_PRT2_OE_SEL1
Pin_Left_Click__PRTDSI__OUT_SEL0 EQU CYREG_PRT2_OUT_SEL0
Pin_Left_Click__PRTDSI__OUT_SEL1 EQU CYREG_PRT2_OUT_SEL1
Pin_Left_Click__PRTDSI__SYNC_OUT EQU CYREG_PRT2_SYNC_OUT
Pin_Left_Click__PS EQU CYREG_PRT2_PS
Pin_Left_Click__SHIFT EQU 4
Pin_Left_Click__SLW EQU CYREG_PRT2_SLW

; Pin_heartBeat
Pin_heartBeat__0__MASK EQU 0x40
Pin_heartBeat__0__PC EQU CYREG_PRT3_PC6
Pin_heartBeat__0__PORT EQU 3
Pin_heartBeat__0__SHIFT EQU 6
Pin_heartBeat__AG EQU CYREG_PRT3_AG
Pin_heartBeat__AMUX EQU CYREG_PRT3_AMUX
Pin_heartBeat__BIE EQU CYREG_PRT3_BIE
Pin_heartBeat__BIT_MASK EQU CYREG_PRT3_BIT_MASK
Pin_heartBeat__BYP EQU CYREG_PRT3_BYP
Pin_heartBeat__CTL EQU CYREG_PRT3_CTL
Pin_heartBeat__DM0 EQU CYREG_PRT3_DM0
Pin_heartBeat__DM1 EQU CYREG_PRT3_DM1
Pin_heartBeat__DM2 EQU CYREG_PRT3_DM2
Pin_heartBeat__DR EQU CYREG_PRT3_DR
Pin_heartBeat__INP_DIS EQU CYREG_PRT3_INP_DIS
Pin_heartBeat__LCD_COM_SEG EQU CYREG_PRT3_LCD_COM_SEG
Pin_heartBeat__LCD_EN EQU CYREG_PRT3_LCD_EN
Pin_heartBeat__MASK EQU 0x40
Pin_heartBeat__PORT EQU 3
Pin_heartBeat__PRT EQU CYREG_PRT3_PRT
Pin_heartBeat__PRTDSI__CAPS_SEL EQU CYREG_PRT3_CAPS_SEL
Pin_heartBeat__PRTDSI__DBL_SYNC_IN EQU CYREG_PRT3_DBL_SYNC_IN
Pin_heartBeat__PRTDSI__OE_SEL0 EQU CYREG_PRT3_OE_SEL0
Pin_heartBeat__PRTDSI__OE_SEL1 EQU CYREG_PRT3_OE_SEL1
Pin_heartBeat__PRTDSI__OUT_SEL0 EQU CYREG_PRT3_OUT_SEL0
Pin_heartBeat__PRTDSI__OUT_SEL1 EQU CYREG_PRT3_OUT_SEL1
Pin_heartBeat__PRTDSI__SYNC_OUT EQU CYREG_PRT3_SYNC_OUT
Pin_heartBeat__PS EQU CYREG_PRT3_PS
Pin_heartBeat__SHIFT EQU 6
Pin_heartBeat__SLW EQU CYREG_PRT3_SLW

; EZI2C_1_isr
EZI2C_1_isr__ES2_PATCH EQU 0
EZI2C_1_isr__INTC_CLR_EN_REG EQU CYREG_INTC_CLR_EN1
EZI2C_1_isr__INTC_CLR_PD_REG EQU CYREG_INTC_CLR_PD1
EZI2C_1_isr__INTC_MASK EQU 0x80
EZI2C_1_isr__INTC_NUMBER EQU 15
EZI2C_1_isr__INTC_PRIOR_NUM EQU 7
EZI2C_1_isr__INTC_PRIOR_REG EQU CYREG_INTC_PRIOR15
EZI2C_1_isr__INTC_SET_EN_REG EQU CYREG_INTC_SET_EN1
EZI2C_1_isr__INTC_SET_PD_REG EQU CYREG_INTC_SET_PD1
EZI2C_1_isr__INTC_VECT EQU (CYREG_INTC_VECT_MBASE+0x1E)

; Pin_EzI2C
Pin_EzI2C__0__MASK EQU 0x04
Pin_EzI2C__0__PC EQU CYREG_PRT12_PC2
Pin_EzI2C__0__PORT EQU 12
Pin_EzI2C__0__SHIFT EQU 2
Pin_EzI2C__1__MASK EQU 0x08
Pin_EzI2C__1__PC EQU CYREG_PRT12_PC3
Pin_EzI2C__1__PORT EQU 12
Pin_EzI2C__1__SHIFT EQU 3
Pin_EzI2C__AG EQU CYREG_PRT12_AG
Pin_EzI2C__BIE EQU CYREG_PRT12_BIE
Pin_EzI2C__BIT_MASK EQU CYREG_PRT12_BIT_MASK
Pin_EzI2C__BYP EQU CYREG_PRT12_BYP
Pin_EzI2C__DM0 EQU CYREG_PRT12_DM0
Pin_EzI2C__DM1 EQU CYREG_PRT12_DM1
Pin_EzI2C__DM2 EQU CYREG_PRT12_DM2
Pin_EzI2C__DR EQU CYREG_PRT12_DR
Pin_EzI2C__INP_DIS EQU CYREG_PRT12_INP_DIS
Pin_EzI2C__MASK EQU 0x0C
Pin_EzI2C__PORT EQU 12
Pin_EzI2C__PRT EQU CYREG_PRT12_PRT
Pin_EzI2C__PRTDSI__DBL_SYNC_IN EQU CYREG_PRT12_DBL_SYNC_IN
Pin_EzI2C__PRTDSI__OE_SEL0 EQU CYREG_PRT12_OE_SEL0
Pin_EzI2C__PRTDSI__OE_SEL1 EQU CYREG_PRT12_OE_SEL1
Pin_EzI2C__PRTDSI__OUT_SEL0 EQU CYREG_PRT12_OUT_SEL0
Pin_EzI2C__PRTDSI__OUT_SEL1 EQU CYREG_PRT12_OUT_SEL1
Pin_EzI2C__PRTDSI__SYNC_OUT EQU CYREG_PRT12_SYNC_OUT
Pin_EzI2C__PS EQU CYREG_PRT12_PS
Pin_EzI2C__SHIFT EQU 2
Pin_EzI2C__SIO_CFG EQU CYREG_PRT12_SIO_CFG
Pin_EzI2C__SIO_DIFF EQU CYREG_PRT12_SIO_DIFF
Pin_EzI2C__SIO_HYST_EN EQU CYREG_PRT12_SIO_HYST_EN
Pin_EzI2C__SIO_REG_HIFREQ EQU CYREG_PRT12_SIO_REG_HIFREQ
Pin_EzI2C__SLW EQU CYREG_PRT12_SLW
Pin_EzI2C__scl__MASK EQU 0x04
Pin_EzI2C__scl__PC EQU CYREG_PRT12_PC2
Pin_EzI2C__scl__PORT EQU 12
Pin_EzI2C__scl__SHIFT EQU 2
Pin_EzI2C__sda__MASK EQU 0x08
Pin_EzI2C__sda__PC EQU CYREG_PRT12_PC3
Pin_EzI2C__sda__PORT EQU 12
Pin_EzI2C__sda__SHIFT EQU 3

; NRF_MISO
NRF_MISO__0__MASK EQU 0x20
NRF_MISO__0__PC EQU CYREG_PRT12_PC5
NRF_MISO__0__PORT EQU 12
NRF_MISO__0__SHIFT EQU 5
NRF_MISO__AG EQU CYREG_PRT12_AG
NRF_MISO__BIE EQU CYREG_PRT12_BIE
NRF_MISO__BIT_MASK EQU CYREG_PRT12_BIT_MASK
NRF_MISO__BYP EQU CYREG_PRT12_BYP
NRF_MISO__DM0 EQU CYREG_PRT12_DM0
NRF_MISO__DM1 EQU CYREG_PRT12_DM1
NRF_MISO__DM2 EQU CYREG_PRT12_DM2
NRF_MISO__DR EQU CYREG_PRT12_DR
NRF_MISO__INP_DIS EQU CYREG_PRT12_INP_DIS
NRF_MISO__MASK EQU 0x20
NRF_MISO__PORT EQU 12
NRF_MISO__PRT EQU CYREG_PRT12_PRT
NRF_MISO__PRTDSI__DBL_SYNC_IN EQU CYREG_PRT12_DBL_SYNC_IN
NRF_MISO__PRTDSI__OE_SEL0 EQU CYREG_PRT12_OE_SEL0
NRF_MISO__PRTDSI__OE_SEL1 EQU CYREG_PRT12_OE_SEL1
NRF_MISO__PRTDSI__OUT_SEL0 EQU CYREG_PRT12_OUT_SEL0
NRF_MISO__PRTDSI__OUT_SEL1 EQU CYREG_PRT12_OUT_SEL1
NRF_MISO__PRTDSI__SYNC_OUT EQU CYREG_PRT12_SYNC_OUT
NRF_MISO__PS EQU CYREG_PRT12_PS
NRF_MISO__SHIFT EQU 5
NRF_MISO__SIO_CFG EQU CYREG_PRT12_SIO_CFG
NRF_MISO__SIO_DIFF EQU CYREG_PRT12_SIO_DIFF
NRF_MISO__SIO_HYST_EN EQU CYREG_PRT12_SIO_HYST_EN
NRF_MISO__SIO_REG_HIFREQ EQU CYREG_PRT12_SIO_REG_HIFREQ
NRF_MISO__SLW EQU CYREG_PRT12_SLW

; NRF_MOSI
NRF_MOSI__0__MASK EQU 0x10
NRF_MOSI__0__PC EQU CYREG_PRT12_PC4
NRF_MOSI__0__PORT EQU 12
NRF_MOSI__0__SHIFT EQU 4
NRF_MOSI__AG EQU CYREG_PRT12_AG
NRF_MOSI__BIE EQU CYREG_PRT12_BIE
NRF_MOSI__BIT_MASK EQU CYREG_PRT12_BIT_MASK
NRF_MOSI__BYP EQU CYREG_PRT12_BYP
NRF_MOSI__DM0 EQU CYREG_PRT12_DM0
NRF_MOSI__DM1 EQU CYREG_PRT12_DM1
NRF_MOSI__DM2 EQU CYREG_PRT12_DM2
NRF_MOSI__DR EQU CYREG_PRT12_DR
NRF_MOSI__INP_DIS EQU CYREG_PRT12_INP_DIS
NRF_MOSI__MASK EQU 0x10
NRF_MOSI__PORT EQU 12
NRF_MOSI__PRT EQU CYREG_PRT12_PRT
NRF_MOSI__PRTDSI__DBL_SYNC_IN EQU CYREG_PRT12_DBL_SYNC_IN
NRF_MOSI__PRTDSI__OE_SEL0 EQU CYREG_PRT12_OE_SEL0
NRF_MOSI__PRTDSI__OE_SEL1 EQU CYREG_PRT12_OE_SEL1
NRF_MOSI__PRTDSI__OUT_SEL0 EQU CYREG_PRT12_OUT_SEL0
NRF_MOSI__PRTDSI__OUT_SEL1 EQU CYREG_PRT12_OUT_SEL1
NRF_MOSI__PRTDSI__SYNC_OUT EQU CYREG_PRT12_SYNC_OUT
NRF_MOSI__PS EQU CYREG_PRT12_PS
NRF_MOSI__SHIFT EQU 4
NRF_MOSI__SIO_CFG EQU CYREG_PRT12_SIO_CFG
NRF_MOSI__SIO_DIFF EQU CYREG_PRT12_SIO_DIFF
NRF_MOSI__SIO_HYST_EN EQU CYREG_PRT12_SIO_HYST_EN
NRF_MOSI__SIO_REG_HIFREQ EQU CYREG_PRT12_SIO_REG_HIFREQ
NRF_MOSI__SLW EQU CYREG_PRT12_SLW

; NRF_SCLK
NRF_SCLK__0__MASK EQU 0x80
NRF_SCLK__0__PC EQU CYREG_PRT2_PC7
NRF_SCLK__0__PORT EQU 2
NRF_SCLK__0__SHIFT EQU 7
NRF_SCLK__AG EQU CYREG_PRT2_AG
NRF_SCLK__AMUX EQU CYREG_PRT2_AMUX
NRF_SCLK__BIE EQU CYREG_PRT2_BIE
NRF_SCLK__BIT_MASK EQU CYREG_PRT2_BIT_MASK
NRF_SCLK__BYP EQU CYREG_PRT2_BYP
NRF_SCLK__CTL EQU CYREG_PRT2_CTL
NRF_SCLK__DM0 EQU CYREG_PRT2_DM0
NRF_SCLK__DM1 EQU CYREG_PRT2_DM1
NRF_SCLK__DM2 EQU CYREG_PRT2_DM2
NRF_SCLK__DR EQU CYREG_PRT2_DR
NRF_SCLK__INP_DIS EQU CYREG_PRT2_INP_DIS
NRF_SCLK__LCD_COM_SEG EQU CYREG_PRT2_LCD_COM_SEG
NRF_SCLK__LCD_EN EQU CYREG_PRT2_LCD_EN
NRF_SCLK__MASK EQU 0x80
NRF_SCLK__PORT EQU 2
NRF_SCLK__PRT EQU CYREG_PRT2_PRT
NRF_SCLK__PRTDSI__CAPS_SEL EQU CYREG_PRT2_CAPS_SEL
NRF_SCLK__PRTDSI__DBL_SYNC_IN EQU CYREG_PRT2_DBL_SYNC_IN
NRF_SCLK__PRTDSI__OE_SEL0 EQU CYREG_PRT2_OE_SEL0
NRF_SCLK__PRTDSI__OE_SEL1 EQU CYREG_PRT2_OE_SEL1
NRF_SCLK__PRTDSI__OUT_SEL0 EQU CYREG_PRT2_OUT_SEL0
NRF_SCLK__PRTDSI__OUT_SEL1 EQU CYREG_PRT2_OUT_SEL1
NRF_SCLK__PRTDSI__SYNC_OUT EQU CYREG_PRT2_SYNC_OUT
NRF_SCLK__PS EQU CYREG_PRT2_PS
NRF_SCLK__SHIFT EQU 7
NRF_SCLK__SLW EQU CYREG_PRT2_SLW

; Clock_1
Clock_1__CFG0 EQU CYREG_CLKDIST_DCFG4_CFG0
Clock_1__CFG1 EQU CYREG_CLKDIST_DCFG4_CFG1
Clock_1__CFG2 EQU CYREG_CLKDIST_DCFG4_CFG2
Clock_1__CFG2_SRC_SEL_MASK EQU 0x07
Clock_1__INDEX EQU 0x04
Clock_1__PM_ACT_CFG EQU CYREG_PM_ACT_CFG2
Clock_1__PM_ACT_MSK EQU 0x10
Clock_1__PM_STBY_CFG EQU CYREG_PM_STBY_CFG2
Clock_1__PM_STBY_MSK EQU 0x10

; Clock_4
Clock_4__CFG0 EQU CYREG_CLKDIST_DCFG3_CFG0
Clock_4__CFG1 EQU CYREG_CLKDIST_DCFG3_CFG1
Clock_4__CFG2 EQU CYREG_CLKDIST_DCFG3_CFG2
Clock_4__CFG2_SRC_SEL_MASK EQU 0x07
Clock_4__INDEX EQU 0x03
Clock_4__PM_ACT_CFG EQU CYREG_PM_ACT_CFG2
Clock_4__PM_ACT_MSK EQU 0x08
Clock_4__PM_STBY_CFG EQU CYREG_PM_STBY_CFG2
Clock_4__PM_STBY_MSK EQU 0x08

; NRF_CSN
NRF_CSN__0__MASK EQU 0x40
NRF_CSN__0__PC EQU CYREG_PRT2_PC6
NRF_CSN__0__PORT EQU 2
NRF_CSN__0__SHIFT EQU 6
NRF_CSN__AG EQU CYREG_PRT2_AG
NRF_CSN__AMUX EQU CYREG_PRT2_AMUX
NRF_CSN__BIE EQU CYREG_PRT2_BIE
NRF_CSN__BIT_MASK EQU CYREG_PRT2_BIT_MASK
NRF_CSN__BYP EQU CYREG_PRT2_BYP
NRF_CSN__CTL EQU CYREG_PRT2_CTL
NRF_CSN__DM0 EQU CYREG_PRT2_DM0
NRF_CSN__DM1 EQU CYREG_PRT2_DM1
NRF_CSN__DM2 EQU CYREG_PRT2_DM2
NRF_CSN__DR EQU CYREG_PRT2_DR
NRF_CSN__INP_DIS EQU CYREG_PRT2_INP_DIS
NRF_CSN__LCD_COM_SEG EQU CYREG_PRT2_LCD_COM_SEG
NRF_CSN__LCD_EN EQU CYREG_PRT2_LCD_EN
NRF_CSN__MASK EQU 0x40
NRF_CSN__PORT EQU 2
NRF_CSN__PRT EQU CYREG_PRT2_PRT
NRF_CSN__PRTDSI__CAPS_SEL EQU CYREG_PRT2_CAPS_SEL
NRF_CSN__PRTDSI__DBL_SYNC_IN EQU CYREG_PRT2_DBL_SYNC_IN
NRF_CSN__PRTDSI__OE_SEL0 EQU CYREG_PRT2_OE_SEL0
NRF_CSN__PRTDSI__OE_SEL1 EQU CYREG_PRT2_OE_SEL1
NRF_CSN__PRTDSI__OUT_SEL0 EQU CYREG_PRT2_OUT_SEL0
NRF_CSN__PRTDSI__OUT_SEL1 EQU CYREG_PRT2_OUT_SEL1
NRF_CSN__PRTDSI__SYNC_OUT EQU CYREG_PRT2_SYNC_OUT
NRF_CSN__PS EQU CYREG_PRT2_PS
NRF_CSN__SHIFT EQU 6
NRF_CSN__SLW EQU CYREG_PRT2_SLW

; NRF_CE
NRF_CE__0__MASK EQU 0x20
NRF_CE__0__PC EQU CYREG_PRT2_PC5
NRF_CE__0__PORT EQU 2
NRF_CE__0__SHIFT EQU 5
NRF_CE__AG EQU CYREG_PRT2_AG
NRF_CE__AMUX EQU CYREG_PRT2_AMUX
NRF_CE__BIE EQU CYREG_PRT2_BIE
NRF_CE__BIT_MASK EQU CYREG_PRT2_BIT_MASK
NRF_CE__BYP EQU CYREG_PRT2_BYP
NRF_CE__CTL EQU CYREG_PRT2_CTL
NRF_CE__DM0 EQU CYREG_PRT2_DM0
NRF_CE__DM1 EQU CYREG_PRT2_DM1
NRF_CE__DM2 EQU CYREG_PRT2_DM2
NRF_CE__DR EQU CYREG_PRT2_DR
NRF_CE__INP_DIS EQU CYREG_PRT2_INP_DIS
NRF_CE__LCD_COM_SEG EQU CYREG_PRT2_LCD_COM_SEG
NRF_CE__LCD_EN EQU CYREG_PRT2_LCD_EN
NRF_CE__MASK EQU 0x20
NRF_CE__PORT EQU 2
NRF_CE__PRT EQU CYREG_PRT2_PRT
NRF_CE__PRTDSI__CAPS_SEL EQU CYREG_PRT2_CAPS_SEL
NRF_CE__PRTDSI__DBL_SYNC_IN EQU CYREG_PRT2_DBL_SYNC_IN
NRF_CE__PRTDSI__OE_SEL0 EQU CYREG_PRT2_OE_SEL0
NRF_CE__PRTDSI__OE_SEL1 EQU CYREG_PRT2_OE_SEL1
NRF_CE__PRTDSI__OUT_SEL0 EQU CYREG_PRT2_OUT_SEL0
NRF_CE__PRTDSI__OUT_SEL1 EQU CYREG_PRT2_OUT_SEL1
NRF_CE__PRTDSI__SYNC_OUT EQU CYREG_PRT2_SYNC_OUT
NRF_CE__PS EQU CYREG_PRT2_PS
NRF_CE__SHIFT EQU 5
NRF_CE__SLW EQU CYREG_PRT2_SLW

; Miscellaneous
; -- WARNING: define names containing LEOPARD or PANTHER are deprecated and will be removed in a future release
CYDEV_DEBUGGING_DPS_SWD EQU 2
CYDEV_CONFIG_UNUSED_IO_AllowButWarn EQU 0
CYDEV_CONFIGURATION_MODE_COMPRESSED EQU 0
CYDEV_CONFIG_FASTBOOT_ENABLED EQU 1
CYDEV_CHIP_REV_LEOPARD_PRODUCTION EQU 3
CYDEV_CHIP_REVISION_3A_PRODUCTION EQU 3
CYDEV_CHIP_MEMBER_3A EQU 1
CYDEV_CHIP_FAMILY_PSOC3 EQU 1
CYDEV_CHIP_DIE_LEOPARD EQU 1
CYDEV_CHIP_DIE_EXPECT EQU CYDEV_CHIP_DIE_LEOPARD
BCLK__BUS_CLK__HZ EQU 24000000
BCLK__BUS_CLK__KHZ EQU 24000
BCLK__BUS_CLK__MHZ EQU 24
CYDEV_CHIP_DIE_ACTUAL EQU CYDEV_CHIP_DIE_EXPECT
CYDEV_CHIP_DIE_PANTHER EQU 3
CYDEV_CHIP_DIE_PSOC4A EQU 2
CYDEV_CHIP_DIE_PSOC5LP EQU 4
CYDEV_CHIP_DIE_UNKNOWN EQU 0
CYDEV_CHIP_FAMILY_PSOC4 EQU 2
CYDEV_CHIP_FAMILY_PSOC5 EQU 3
CYDEV_CHIP_FAMILY_UNKNOWN EQU 0
CYDEV_CHIP_FAMILY_USED EQU CYDEV_CHIP_FAMILY_PSOC3
CYDEV_CHIP_JTAG_ID EQU 0x1E028069
CYDEV_CHIP_MEMBER_4A EQU 2
CYDEV_CHIP_MEMBER_5A EQU 3
CYDEV_CHIP_MEMBER_5B EQU 4
CYDEV_CHIP_MEMBER_UNKNOWN EQU 0
CYDEV_CHIP_MEMBER_USED EQU CYDEV_CHIP_MEMBER_3A
CYDEV_CHIP_REVISION_3A_ES1 EQU 0
CYDEV_CHIP_REVISION_3A_ES2 EQU 1
CYDEV_CHIP_REVISION_3A_ES3 EQU 3
CYDEV_CHIP_REVISION_4A_ES0 EQU 17
CYDEV_CHIP_REVISION_4A_PRODUCTION EQU 17
CYDEV_CHIP_REVISION_5A_ES0 EQU 0
CYDEV_CHIP_REVISION_5A_ES1 EQU 1
CYDEV_CHIP_REVISION_5A_PRODUCTION EQU 1
CYDEV_CHIP_REVISION_5B_ES0 EQU 0
CYDEV_CHIP_REVISION_5B_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_USED EQU CYDEV_CHIP_REVISION_3A_PRODUCTION
CYDEV_CHIP_REV_EXPECT EQU CYDEV_CHIP_REV_LEOPARD_PRODUCTION
CYDEV_CHIP_REV_LEOPARD_ES1 EQU 0
CYDEV_CHIP_REV_LEOPARD_ES2 EQU 1
CYDEV_CHIP_REV_LEOPARD_ES3 EQU 3
CYDEV_CHIP_REV_PANTHER_ES0 EQU 0
CYDEV_CHIP_REV_PANTHER_ES1 EQU 1
CYDEV_CHIP_REV_PANTHER_PRODUCTION EQU 1
CYDEV_CHIP_REV_PSOC4A_ES0 EQU 17
CYDEV_CHIP_REV_PSOC4A_PRODUCTION EQU 17
CYDEV_CHIP_REV_PSOC5LP_ES0 EQU 0
CYDEV_CHIP_REV_PSOC5LP_PRODUCTION EQU 0
CYDEV_CONFIGURATION_CLEAR_SRAM EQU 1
CYDEV_CONFIGURATION_COMPRESSED EQU 1
CYDEV_CONFIGURATION_DMA EQU 0
CYDEV_CONFIGURATION_ECC EQU 1
CYDEV_CONFIGURATION_IMOENABLED EQU CYDEV_CONFIG_FASTBOOT_ENABLED
CYDEV_CONFIGURATION_MODE EQU CYDEV_CONFIGURATION_MODE_COMPRESSED
CYDEV_CONFIGURATION_MODE_DMA EQU 2
CYDEV_CONFIGURATION_MODE_UNCOMPRESSED EQU 1
CYDEV_CONFIG_UNUSED_IO EQU CYDEV_CONFIG_UNUSED_IO_AllowButWarn
CYDEV_CONFIG_UNUSED_IO_AllowWithInfo EQU 1
CYDEV_CONFIG_UNUSED_IO_Disallowed EQU 2
CYDEV_DEBUGGING_DPS EQU CYDEV_DEBUGGING_DPS_SWD
CYDEV_DEBUGGING_DPS_Disable EQU 3
CYDEV_DEBUGGING_DPS_JTAG_4 EQU 1
CYDEV_DEBUGGING_DPS_JTAG_5 EQU 0
CYDEV_DEBUGGING_DPS_SWD_SWV EQU 6
CYDEV_DEBUGGING_ENABLE EQU 1
CYDEV_DEBUGGING_XRES EQU 0
CYDEV_DEBUG_ENABLE_MASK EQU 0x01
CYDEV_DEBUG_ENABLE_REGISTER EQU CYREG_MLOGIC_DEBUG
CYDEV_DMA_CHANNELS_AVAILABLE EQU 24
CYDEV_ECC_ENABLE EQU 0
CYDEV_INSTRUCT_CACHE_ENABLED EQU 1
CYDEV_INTR_RISING EQU 0x00008001
CYDEV_PROJ_TYPE EQU 0
CYDEV_PROJ_TYPE_BOOTLOADER EQU 1
CYDEV_PROJ_TYPE_LOADABLE EQU 2
CYDEV_PROJ_TYPE_MULTIAPPBOOTLOADER EQU 3
CYDEV_PROJ_TYPE_STANDARD EQU 0
CYDEV_PROTECTION_ENABLE EQU 0
CYDEV_VARIABLE_VDDA EQU 0
CYDEV_VDDA LIT '3.3'
CYDEV_VDDA_MV EQU 3300
CYDEV_VDDD LIT '3.3'
CYDEV_VDDD_MV EQU 3300
CYDEV_VDDIO0 LIT '3.3'
CYDEV_VDDIO0_MV EQU 3300
CYDEV_VDDIO1 LIT '3.3'
CYDEV_VDDIO1_MV EQU 3300
CYDEV_VDDIO2 LIT '3.3'
CYDEV_VDDIO2_MV EQU 3300
CYDEV_VDDIO3 LIT '3.3'
CYDEV_VDDIO3_MV EQU 3300
CYDEV_VIO0 LIT '3.3'
CYDEV_VIO0_MV EQU 3300
CYDEV_VIO1 LIT '3.3'
CYDEV_VIO1_MV EQU 3300
CYDEV_VIO2 LIT '3.3'
CYDEV_VIO2_MV EQU 3300
CYDEV_VIO3 LIT '3.3'
CYDEV_VIO3_MV EQU 3300
DMA_CHANNELS_USED__MASK0 EQU 0x00000000
CYDEV_BOOTLOADER_ENABLE EQU 0

#endif /* INCLUDED_CYFITTERKEIL_INC */
